<?php
////////////////////////////////////////////////////////////////////
// Caningest version 1.1                                          //
// Copyright Novembre 2007                                        //
// Tout droits de reproduction, de Modifications Interdit         //
// Ce Script est la proprit de caningest sous licence           //
// Protg par le code de la proprit intellectuelle             //
// Il est interdit de diffuser, de copier, de modifier ou         //
// d'adapter ce script sous peine de poursuites                   //
////////////////////////////////////////////////////////////////////
session_start();
if(file_exists('../configuration.php'))
{
  include('../configuration.php');
}
else
{
  $conf_langue="french.php";
}
include("../langues/".$conf_langue);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      <?php echo $l_titre_page_admin_saillie ?>
    </title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="Content-Language" content="en-fr">
    <meta name="Identifier-URL" content="http://www.caningest.com">
    <meta http-equiv="Pragma" content="no-cache">
    <link rel="stylesheet" href="../presentation/css.css" type="text/css" />
    <meta name="generator" content="PSPad editor, www.pspad.com">
    <!-- calendar stylesheet -->
    <link rel="stylesheet" type="text/css" media="all" href="../calendrier/calendar-win2k-1.css" title="win2k-cold-1" />
    <!-- main calendar program -->
<script type="text/javascript" src="../calendrier/calendar.js"> </script>
    <!-- language for the calendar -->
<script type="text/javascript" src="../calendrier/lang/calendar-fr.js"> </script>
    <!-- the following script defines the Calendar.setup helper function, which makes
    adding a calendar a matter of 1 or 2 lines of code. -->
<script type="text/javascript" src="../calendrier/calendar-setup.js"> </script>
<script type="text/javascript" src="ajax.js"> </script>
<script type="text/javascript" src="../popup.js"> </script>
  </head>
  <body>
<?php
include('../presentation/en_tete.php');
echo "<div id='conteneur'>";
echo "<br />";
if(!file_exists('../configuration.php'))
{
  echo "<div class='avertissement'>".$l_signal_config_no_existe."</div>";
  echo "<br />";
  echo "<br />";
  echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
  echo "<br />";
  echo "<br />";
}
else
{
  include('../configuration.php');
  if(isset($_SESSION['admin_niveau']))
  {
    include('../connect_bdd.php');
    include('../presentation/menu_admin.php');
    include('../fonctions.php');
    echo "<div id='contenu_a'>";
    if($_SESSION['admin_niveau']=="0" || $_SESSION['admin_niveau']=="1")   
    {
      if(isset($_POST['ajout_chaleur']))
      {
        extract($_POST);
        $req_select_chaleur="SELECT * FROM ".$conf_prefixe."chaleur 
                             WHERE chien_id='".mysql_real_escape_string($chien_id)."'";
        $select_chaleur=mysql_query($req_select_chaleur);
        if(mysql_num_rows($select_chaleur)>0)
        {
          $req_update_chal="UPDATE ".$conf_prefixe."chaleur SET
                            chaleur_date='".mysql_real_escape_string($date_chaleur)."'
                            WHERE chien_id='".mysql_real_escape_string($chien_id)."'";
          mysql_query($req_update_chal);
        }
        else
        {
          $req_insert_chaleur="INSERT INTO ".$conf_prefixe."chaleur 
                               VALUES ('','".mysql_real_escape_string($chien_id)."', '".mysql_real_escape_string($date_chaleur)."' )";
          mysql_query($req_insert_chaleur);
          echo "<div class='avertissement'>".$l_chaleur_inseree."</div>";
        }
      }
      else if(isset($_POST['ajout_saillie']))
      {
        extract($_POST);
        $req_insert_saillie="INSERT INTO ".$conf_prefixe."saillie
                             VALUES ('', '".mysql_real_escape_string($chien_id)."', '".mysql_real_escape_string($pere)."', "
                . "'".mysql_real_escape_string($date_saillie)."', '".mysql_real_escape_string($type_saillie)."','', '0','0','0' )";
        mysql_query($req_insert_saillie) or die (mysql_error());
        echo "<div class='avertissement'>".$l_saillie_inseree."</div>";
      }
      else if(isset($_POST['edit_saillie']))
      {
        extract($_POST);
        $req_update_saillie="UPDATE ".$conf_prefixe."saillie SET
                            male_id='".mysql_real_escape_string($pere)."',
                            saillie_date='".mysql_real_escape_string($date_saillie)."',
                            saillie_type='".mysql_real_escape_string($type_saillie)."'
                            WHERE saillie_id='".mysql_real_escape_string($saillie_id)."'" ;
        mysql_query($req_update_saillie);
        echo "<div class='avertissement'>".$l_saillie_modif."</div>";
      }
      else if(isset($_POST['sup_saillie']))
      {
        extract($_POST);
        echo "<form action='saillie.php' method='post'>";
        echo "<div class='avertissement'>".$l_valid_sup_saillie.$nom_male."</div>";
        echo "<input type='hidden' name='saillie_id' value='".$saillie_id."' />";
        echo "<input type='hidden' name='chien_id' value='".$chien_id."' />";
        echo '<input type="hidden" name="chien_lof" value="'.$chien_lof.'" />';
        echo '<input type="hidden" name="chien_nom_affixe" value="'.$chien_nom_affixe.'" />';
        echo "<input type='hidden' name='race' value=".$race." />";
        echo "<input type='submit' value='".$l_bt_suprimer."' name='sup_v_saillie' title='".$l_bt_suprimer."' />";
        echo "</form>";
        echo "<br />";
      }
      else if(isset($_POST['sup_v_saillie']))
      {
        extract($_POST);
        $req_delete_saillie="DELETE FROM ".$conf_prefixe."saillie
                             WHERE saillie_id='".mysql_real_escape_string($saillie_id)."' ";
        mysql_query($req_delete_saillie);
        echo "<div class='avertissement'>".$l_saillie_sup."</div>";
      }
    
      if(isset($_POST['info_chien']) || isset($_POST['chien_id']))
      {
        extract($_POST);
        $date_expo="";
        
        echo "<div class='cadre_blanc'>";
        echo "<h2>".$l_fiche_gestation_accueil.$chien_nom_affixe."
        <br />".$l_num_pedig." : ".$chien_lof."</h2>";
        echo "</div>";
        echo "<br /><br />"; 
        echo "<div class='cadre_blanc'>";
        echo "<h2>".$l_titre_gestion_chaleurs."</h2>";
        echo "<br />";
        $req_select_chaleur="SELECT * FROM ".$conf_prefixe."chaleur 
                             WHERE chien_id='".mysql_real_escape_string($chien_id)."'";
        $select_chaleur=mysql_query($req_select_chaleur);
        if(mysql_num_rows($select_chaleur)<1)
        {
          echo "<form action='saillie.php' method='post'>";
          echo "<input type='hidden' name='chien_id' value='".$chien_id."' />";
          echo '<input type="hidden" name="chien_lof" value="'.$chien_lof.'" />';
          echo '<input type="hidden" name="chien_nom_affixe" value="'.$chien_nom_affixe.'" />';
          echo "<input type='hidden' name='race' value=".$race." />";
          echo $demande_der_date_chaleur;
          echo "<br />";
          echo "<input name='date_chaleur' type='text' value='".$date_expo."' id='cal_date_chaleur' size='10' readonly />";
          echo "&nbsp;";
          echo "<input type='button' name='bt_date_naiss' class='boutoncal' id='bt_cal_date_chaleur' />";
    ?>
<script type="text/javascript">
Calendar.setup
({
inputField     :    "cal_date_chaleur",
ifFormat       :    "%Y-%m-%d",
showsTime      :    false,
button         :    "bt_cal_date_chaleur",
singleClick    :    true,
step           :    1
});
</script>
<?php
          echo "<br />";
          echo "<input type='submit' value='".$l_bt_valider."' name='ajout_chaleur' />";
          echo "</form>";
        }
        else
        {
          list($chaleur_id, $chien_id, $date_chaleur)=mysql_fetch_row($select_chaleur);
          {
            if($date_chaleur!="0000-00-00")
            {
              $prochaine_chaleur=DateInXDays(182,$date_chaleur);
              $prochaine_chaleur=MySQLDateToExplicitDate($prochaine_chaleur);
              $date_chaleur=MySQLDateToExplicitDate($date_chaleur);
            }
            else
            {
              $prochaine_chaleur=$date_chaleur;
            }
            echo "<table width='100%'>";
            echo "<tr class='titre'><th>".$l_date_der_chaleur."</th><th>".$l_date_prochaine_chaleur."</th></tr>";
            echo "<tr>";
            echo "<td>".$date_chaleur."</td>";
            echo "<td>".$prochaine_chaleur."</td>";
            echo "</tr>";
          }
          echo "</table>";
          echo "<br />";
          echo "<form action='saillie.php' method='post'>";
          echo "<input type='hidden' name='chien_id' value='".$chien_id."' />";
          echo '<input type="hidden" name="chien_lof" value="'.$chien_lof.'" />';
          echo '<input type="hidden" name="chien_nom_affixe" value="'.$chien_nom_affixe.'" />';
          echo "<input type='hidden' name='race' value=".$race." />";
          echo $demande_change_date_chaleur;
          echo "<input name='date_chaleur' type='text' value='".$date_expo."' id='cal_date_chaleur' size='10' readonly />";
          echo "&nbsp;";
          echo "<input type='button' name='bt_date_naiss' class='boutoncal' id='bt_cal_date_chaleur' />";
    ?>
<script type="text/javascript">
Calendar.setup
({
inputField     :    "cal_date_chaleur",
ifFormat       :    "%Y-%m-%d",
showsTime      :    false,
button         :    "bt_cal_date_chaleur",
singleClick    :    true,
step           :    1
});
</script>
<?php
          echo "<input type='submit' value='".$l_bt_valider."' name='ajout_chaleur' />";
          echo "</form>";
          
        }
        echo "</div>";
        echo "<br /><br />";
        echo "<div class='cadre_blanc'>";
        echo "<h2>".$l_titre_saillie."</h2>";
        echo "<a href=javascript:OuvrirPopup('pu_saillie.php?chien_id=".$chien_id."&race=".$race."') alt'".$l_simulation_saillie."' title='".$l_simulation_saillie."' >".$l_simulation_saillie."</a>";
        echo "<br />";
        if(isset($_POST['modif_saillie']))
        {
          extract($_POST);
          $req_select_saillie="SELECT * FROM ".$conf_prefixe."saillie
                               WHERE saillie_id='".mysql_real_escape_string($saillie_id)."' ";
          $select_saillie=mysql_query($req_select_saillie);
          list($saillie_id, $chien_id, $pere, $date_expo, $type_saillie)=mysql_fetch_row($select_saillie);
          if($type_saillie==0)
          {
            $ch_naturelle="checked";
            $ch_arti="";
          }
          else
          {
            $ch_naturelle="";
            $ch_arti="checked";
          }
          
        }
        else
        {
          $ch_naturelle="checked";
          $ch_arti="";
        }
        
         echo "<br />";
        echo "<form action='saillie.php' method='post' name='f' >";
        if(isset($_POST['modif_saillie']))
        {
          echo "<input type='hidden' name='saillie_id' value='".$saillie_id."' />";
        }
          echo "<input type='hidden' name='chien_id' value='".$chien_id."' />";
          echo '<input type="hidden" name="chien_lof" value="'.$chien_lof.'" />';
          echo '<input type="hidden" name="chien_nom_affixe" value="'.$chien_nom_affixe.'" />';
          echo "<input type='hidden' name='race' value=".$race." />";
          echo "<label>".$demande_date_saillie."</label>";
          echo "<input name='date_saillie' type='text' value='".$date_expo."' id='cal_date_saillie' size='10' readonly />";
          echo "&nbsp;";
          echo "<input type='button' name='bt_date_naiss' class='boutoncal' id='bt_cal_date_saillie' />";
    ?>
<script type="text/javascript">
Calendar.setup
({
inputField     :    "cal_date_saillie",
ifFormat       :    "%Y-%m-%d",
showsTime      :    false,
button         :    "bt_cal_date_saillie",
singleClick    :    true,
step           :    1
});
</script>
<?php
          echo "<br />";
          echo "<label>".$l_demande_premiere_lettre."</label>";
          echo "<input name='ch_pere' type='text' size='30' maxlength='100' onKeydown='triSelect_pere(value, event, ".$race.");' />";
          echo "<br />";
          echo "<label>".$l_demande_etalon."</label>";
          echo "<select name='pere'>";
          if(isset($pere))
          {
            if($pere=="-1")
            {
              echo "<option value='-1' >".$l_inconnu."</option>";
            }
            else
            {
              $nom_af_pere=fct_nom_chien_affixe($pere);
              echo "<option value='".$pere."' >".$nom_af_pere."</option>";
            }
          }
          else
          {
            echo "<option value='-1' >".$l_inconnu."</option>";
          }
          echo "</select>";
          echo "<br />";
          echo "<label>".$l_demande_type_saillie."</label>";
          echo "<input type='radio' name='type_saillie' value='0' ".$ch_naturelle." />".$l_naturelle;
          echo "<input type='radio' name='type_saillie' value='1' ".$ch_arti." />".$l_artificielle;
          echo "<br />";
          echo "<label>&nbsp;</label>";
          if(isset($_POST['modif_saillie']))
          {
            echo "<input type='submit' value='".$l_bt_valider."' name='edit_saillie' />";
          }
          else
          {         
            echo "<input type='submit' value='".$l_bt_valider."' name='ajout_saillie' />";
          }
          echo "</form>";
          echo "<br />";
          $req_select_saillie="SELECT saillie_id, chien_id, male_id, saillie_date, saillie_type, saillie_mab, saillie_passe FROM ".$conf_prefixe."saillie
                               WHERE chien_id='".mysql_real_escape_string($chien_id)."'
                               ORDER BY saillie_date desc ";
          $select_saillie=mysql_query($req_select_saillie);
          if(mysql_num_rows($select_saillie)>0)
          {
          echo "<table width='100%'>";
            echo "<tr class='titre'><th>".$l_date_saillie."</th><th>".$l_etalon."</th><th>".$l_type_saillie."</th><th>".$l_tc_etoile."</th><th>".$l_date_mb."<span class='rouge'>*</span></th><th>".$l_certif_saillie."</th><th>".$l_tab_edit."</th><th>".$l_tab_sup."</th></tr>";
            while(list($saillie_id, $chien_id, $male_id, $date_saillie, $type_saillie, $saillie_mab, $saillie_passe)=mysql_fetch_row($select_saillie))
            {
            if($type_saillie==0)
            {
              $type_saillie=$l_naturelle;
            }
            else
            {
              $type_saillie=$l_artificielle;
            }
            if($saillie_passe==1)
            {
              $date_mab=$saillie_mab;
            }
            else
            {
              $date_mab=DateInXDays(62,$date_saillie);
            }
            $date_mab=explode("-",$date_mab);
            $date_mab=$date_mab[2]."/".$date_mab[1]."/".$date_mab[0];
            $date_saillie=explode("-",$date_saillie);
            $date_saillie=$date_saillie[2]."/".$date_saillie[1]."/".$date_saillie[0];
            
            $nom_etalon=fct_nom_chien_affixe($male_id);
            echo "<tr>";
            echo "<td>".$date_saillie."</td>";
            echo "<td>".$nom_etalon."</td>";
            echo "<td>".$type_saillie."</td>";
            $tx_consang=fct_calcul_consang($male_id, $chien_id);
            echo "<td>";
            if($tx_consang<10)
            {
            echo "<span class='vert'>".$tx_consang."%</span>";
            }
            else if($tx_consang>=20)
            {
            echo "<span class='rouge'>".$tx_consang."%</span>";
            }
            else
            {
            echo "<span class='orange'>".$tx_consang."%</span>";
            }
            echo "</td>";
            echo "<td>".$date_mab."</td>";
            echo "<td>";
            echo "<a href='certif_saillie.php?saillie_id=".$saillie_id."' alt='".$l_certif_saillie."' title='".$l_certif_saillie."' target='_blank' ><img src='../presentation/icone_document.png' alt='".$l_certif_saillie."' title='".$l_certif_saillie."' /></a>";
            echo "</td>";
            echo "<form method='post' action='saillie.php'>";
            echo "<td>";
            echo "<input type='hidden' name='saillie_id' value='".$saillie_id."' />";
            echo "<input type='hidden' name='chien_id' value='".$chien_id."' />";
            echo '<input type="hidden" name="chien_lof" value="'.$chien_lof.'" />';
            echo '<input type="hidden" name="chien_nom_affixe" value="'.$chien_nom_affixe.'" />';
            echo '<input type="hidden" name="nom_male" value="'.$nom_etalon.'" />';
            echo "<input type='hidden' name='race' value=".$race." />";
            echo "<input type='submit' value='' name='modif_saillie' class='boutonedit' title='".$l_tab_edit."' />";
            echo "</td>";
            echo "<td>";
            echo "<input type='submit' value='' name='sup_saillie' class='boutonsup' title='".$l_bt_suprimer."' />";
            echo "</td>";
            echo "</form>";
            echo "</tr><tr>";
            }
          echo "</tr>";
          echo "</table>";
          }
        echo "</div>";
        echo "<br />";
        echo "<span class='rouge'>*".$l_info_consang."</span>";
        echo "<br />";
        echo "<span class='rouge'>*".$l_info_dmb."</span>";
      }
      
      else if(!isset($_POST['race']) && !isset($_GET['race']))
      {
        $req_select_race="SELECT * FROM ".$conf_prefixe."race";
        $select_race=mysql_query($req_select_race);
        if(mysql_num_rows($select_race)<1)
        {
          echo "<div class='avertissement'>".$l_signal_aucune_race."</div>";
        }
        else
        {
        echo "<form action='saillie.php' method='post'>";
        echo "<label>".$l_demande_choix_race_chien."</label>";
        echo "<select name='race'>";
        while(list($id_race, $nom_race)=mysql_fetch_row($select_race))
        {
          echo "<option value='".$id_race."' >".$nom_race."</option>";
        }
          echo "</select>";
          echo "<input type='submit' value='".$l_bt_valider."' name='choix_race' />";
          echo "</form>"; 
          echo "<br />";
          
        }
      }
      else
      {
        extract($_POST);
        extract($_GET);
        $nb_affich="30";
        if(!isset($_GET['limite']))
        {
          $limite=0;
        }
        else
        {
          $limite=$_GET['limite'];
          if ($limite<=0)
          {
            $limite=0;
          }
        }
        $req_select_chien="SELECT chien_id, chien_nom, eleveurs_id
                           FROM ".$conf_prefixe."chien";
        $select_chien=mysql_query($req_select_chien);
        if(mysql_num_rows($select_chien)<1)
        {
          echo "<div class='avertissement'>".$l_signal_aucun_chien."</div>";
          echo "<br />";
        }
        else
        {
          echo "<div class='lettre'><a href='saillie.php?alpha=a&race=".$race."'>A</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=b&race=".$race."'>B</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=c&race=".$race."'>C</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=d&race=".$race."'>D</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=e&race=".$race."'>E</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=f&race=".$race."'>F</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=g&race=".$race."'>G</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=h&race=".$race."'>H</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=i&race=".$race."'>I</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=j&race=".$race."'>J</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=k&race=".$race."'>K</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=l&race=".$race."'>L</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=m&race=".$race."'>M</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=n&race=".$race."'>N</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=o&race=".$race."'>O</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=p&race=".$race."'>P</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=q&race=".$race."'>Q</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=r&race=".$race."'>R</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=s&race=".$race."'>S</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=t&race=".$race."'>T</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=u&race=".$race."'>U</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=v&race=".$race."'>V</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=w&race=".$race."'>W</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=x&race=".$race."'>X</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=y&race=".$race."'>Y</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=z&race=".$race."'>Z</a></div>";
          echo "<div class='lettre'><a href='saillie.php?alpha=&race=".$race."'>#</a></div>";
          echo "<br />";
          echo "<br />";
          echo "<br />";         
          if(isset($_GET['alpha']))
          {
            extract($_GET);
            $req_count_chien="select COUNT(*) FROM ".$conf_prefixe."chien WHERE chien_interne='0' AND chien_sexe='1'";
            $total_chien=mysql_query($req_count_chien);
            $total_chien=mysql_fetch_row($total_chien);
            $total_chien=$total_chien[0];
            
            
            $req_select_chien="SELECT chien_id, chien_nom,chien_sexe,chien_num_lof, eleveurs_id, proprio_id, utilisateur_id
                                  FROM ".$conf_prefixe."chien
                                  WHERE chien_nom LIKE '".mysql_real_escape_string($alpha)."%'
                                  AND race_id='".mysql_real_escape_string($race)."'
                                  AND chien_interne='0'
                                  AND chien_sexe='1'
                                  ORDER BY chien_nom
                                  LIMIT ".mysql_real_escape_string($limite).",".mysql_real_escape_string($nb_affich)."";
            $result_chien=mysql_query($req_select_chien);
            if(mysql_num_rows($result_chien)<1)
            {
              echo "<div class='avertissement'>".$l_signal_pas_chien_lettre."</div>";
              echo "<br />";
              $erreur_vide="";
            }
              
              
          }
          else
          {
            extract($_GET);
            $req_count_chien="select COUNT(*) FROM ".$conf_prefixe."chien WHERE chien_interne='0' AND chien_sexe='1'";
            $total_chien=mysql_query($req_count_chien);
            $total_chien=mysql_fetch_row($total_chien);
            $total_chien=$total_chien[0];            
            $alpha="";
            $req_select_chien="SELECT chien_id, chien_nom,chien_sexe,chien_num_lof, eleveurs_id, proprio_id, utilisateur_id
                               FROM ".$conf_prefixe."chien
                               WHERE chien_nom LIKE '".mysql_real_escape_string($alpha)."%'
                               AND race_id='".mysql_real_escape_string($race)."'
                               AND chien_interne='0'
                               AND chien_sexe='1'
                               ORDER BY chien_nom
                               LIMIT ".mysql_real_escape_string($limite).",".mysql_real_escape_string($nb_affich)."";
            $result_chien=mysql_query($req_select_chien);
            if(mysql_num_rows($result_chien)<1)
            {
              echo "<div class='avertissement'>".$l_aucun_chien_gere_race."</div>";
              echo "<br />";
              $erreur_vide="";
            }  
           }
            if(!isset($erreur_vide))
            {
              echo "<div class='cadre_blanc'>";
              echo "<table width='100%'>";
              echo "<tr class='titre'><th>".$l_tab_sexe."</th><th>".$l_tab_nom."</th><th>".$l_date_prochaine_chaleur."</th><th>".$l_gerer."</th></tr>";
              echo "<tr>";
              while(list($chien_id, $chien_nom,$chien_sexe, $chien_lof, $eleveurs_id, $proprio_id, $utilisateur_id)=mysql_fetch_row($result_chien))
              {
                if($chien_lof=="/")
                {
                  $chien_lof="";
                }
                $le_nom_af=fct_nom_chien_affixe($chien_id);
                echo "<form method='post' action='saillie.php'>";
                echo "<input type='hidden' name='chien_id' value='".$chien_id."' />";
                echo '<input type="hidden" name="chien_lof" value="'.$chien_lof.'" />';
                echo '<input type="hidden" name="chien_nom_affixe" value="'.$le_nom_af.'" />';
                echo "<input type='hidden' name='race' value=".$race." />";
                if($chien_sexe==0)
                {
                  echo "<td>";
                  echo "<img src='../presentation/mini_chien_male.jpg' alt='".$l_male."' />";
                  echo "</td>";
                  echo "<td>";
                  echo "<span class='male'><a href='fiche_chien.php?chien_id=".$chien_id."' alt='".$l_fiche_du_chien."' title='".$l_fiche_du_chien."' target='_blank'>".$le_nom_af."</a></span>";
                  echo "</td>";
                }
                else
                {
                  echo "<td>";
                  echo "<img src='../presentation/mini_chien_femelle.jpg' alt='".$l_femelle."' />";
                  echo "</td>";
                  echo "<td>";
                  echo "<span class='femelle'><a href='fiche_chien.php?chien_id=".$chien_id."' alt='".$l_fiche_du_chien."' title='".$l_fiche_du_chien."' target='_blank'>".$le_nom_af."</a></span>";
                  echo "</td>";
                }
                echo "<td>";
                $req_select_chaleur="SELECT chaleur_date FROM ".$conf_prefixe."chaleur 
                                     WHERE chien_id='".mysql_real_escape_string($chien_id)."'";
                $select_chaleur=mysql_query($req_select_chaleur);
                if(mysql_num_rows($select_chaleur)>0)
                {
                list($date_chaleur)=mysql_fetch_row($select_chaleur);
                  if($date_chaleur!="0000-00-00")
                  {
                    $prochaine_chaleur=DateInXDays(182,$date_chaleur);
                    $prochaine_chaleur=MySQLDateToExplicitDate($prochaine_chaleur);
                    $date_chaleur=MySQLDateToExplicitDate($date_chaleur);
                  }
                  else
                  {
                    $prochaine_chaleur=$date_chaleur;
                  }
                }
                else
                  {
                    $prochaine_chaleur="0000-00-00";
                  }
                echo $prochaine_chaleur;
                echo "</td>";
                echo "<td>";
                echo "<input type='submit' value='".$l_gerer."' name='info_chien' title='".$l_gerer."' />";
                echo "</td>";
                echo "</tr><tr>";
                echo "</form>";
              }
              echo "</tr>";
              echo "</table>";
              echo "</div>";
              echo "<br />";
              $limitesuivante = $limite + $nb_affich;
              $limiteprecedente = $limite - $nb_affich;
              if ($limiteprecedente<0)
              {
                $limiteprecedente=0;
              }
              if($limite!=0) 
              {
                echo "<a href='saillie.php?race=".$race."&limite=".$limiteprecedente."&alpha=".$alpha."' title='".$l_page_precedente."'>".$l_page_precedente." </a>";
                echo "&nbsp;&nbsp;";
              }
              if($limitesuivante < $total_chien) 
              {
                echo "<a href='saillie.php?race=".$race."&limite=".$limitesuivante."&alpha=".$alpha."' title='".$l_page_suivante."'>".$l_page_suivante." </a>";
              }
              echo "<br /><br />";
            }
          }
      }
    }
    else if($_SESSION['admin_niveau']=="2")
    {
      echo "<div class='avertissement'>".$l_droit_restreint_bloque."</div>";
    }
    echo "</div>";
    mysql_close();
  }
  else
  {
    echo "<div class='avertissement'>".$l_signal_acces."</div>";
    echo "<br />";
    echo "<br />";
    echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
    echo "<br />";
    echo "<br />";
  }
}
echo "</div>";
include('../presentation/bas_ml.php');
    ?>
  </body>
</html>
