<?php
////////////////////////////////////////////////////////////////////
// Caningest version 1.1                                          //
// Copyright Novembre 2007                                        //
// Tout droits de reproduction, de Modifications Interdit         //
// Ce Script est la proprit de caningest sous licence           //
// Protg par le code de la proprit intellectuelle             //
// Il est interdit de diffuser, de copier, de modifier ou         //
// d'adapter ce script sous peine de poursuites                   //
////////////////////////////////////////////////////////////////////
session_start();
if(file_exists('../configuration.php'))
{
  include('../configuration.php');
}
else
{
  $conf_langue="french.php";
}
include("../langues/".$conf_langue);
?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<title><?php echo $l_titre_page_admin_util ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="Content-Language" content="en-fr">
  <meta name="Identifier-URL" content="http://www.caningest.com">
	<link rel="stylesheet" href="../presentation/css.css" type="text/css" />
	</head>
	<body>
<?php
include('../presentation/en_tete.php');
echo "<div id='conteneur'>";
echo "<br />";
if(!file_exists('../configuration.php'))
{
  echo "<div class='avertissement'>".$l_signal_config_no_existe."</div>";
  echo "<br />";
  echo "<br />";
  echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
  echo "<br />";
  echo "<br />";
}
else
{
  include('../configuration.php');
  if(isset($_SESSION['admin_niveau']))
  {
    include('../connect_bdd.php');
    include('../presentation/menu_admin.php');
    echo "<div id='contenu_a'>";
    echo "<h1>".$l_titre_admin_util."</h1>";
    if($_SESSION['admin_niveau']=="0" || $_SESSION['admin_niveau']=="1")   
    {
      if(isset($_POST['modif_u']))
      {
          extract($_POST);
          $req_modif_u="UPDATE ".$conf_prefixe."admin 
                          SET admin_niveau='".mysql_real_escape_string($modif_droit)."'
                          WHERE admin_id='".mysql_real_escape_string($id)."'";
          mysql_query($req_modif_u) or die (mysql_error());
          echo "<div class='avertissement'>".$l_admin_utilisateur_modif."</div>";
          echo "<br />";
      }
      else if(isset($_POST['nouveau_mdp']))
      {
        extract($_POST);
        $newmdp=trim($newmdp);
        if($newmdp=="")
        {
          echo "<div class='avertissement'>".$l_signal_mdp_vide."</div>";
        }
        else
        {
          $newmdp=md5($newmdp);
          $req_update_mdp="UPDATE ".$conf_prefixe."admin SET
                           admin_mdp='".mysql_real_escape_string($newmdp)."'
                           WHERE admin_id='".mysql_real_escape_string($id)."'";
          mysql_query($req_update_mdp);
          echo "<div class='avertissement'>".$l_signal_modif_mdp."</div>";
        }
        
      }
      else if(isset($_POST['sup_u']))
      {
          extract($_POST);
          $req_sup_u="DELETE FROM ".$conf_prefixe."admin 
                          WHERE admin_id='".mysql_real_escape_string($id)."'";
          mysql_query($req_sup_u) or die (mysql_error());
          echo "<div class='avertissement'>".$l_admin_utilisateur_sup."</div>";
          echo "<br />";
      }
      else if(isset($_POST['ajout_u']))
      {
        extract($_POST);
        $nom=trim($nom);
        $nom=htmlentities($nom, ENT_QUOTES);
      
        $mdp=trim($mdp);
        $remdp=trim($remdp);
        $req_compare_util="SELECT * FROM ".$conf_prefixe."admin
                           WHERE admin_nom='".mysql_real_escape_string($nom)."'";
        $compare_util=mysql_query($req_compare_util) or die (mysql_error());
        if(mysql_num_rows($compare_util)>0)
        {
          echo "<div class='avertissement'>".$l_util_meme_nom."</div>";
          echo "<br />";
          include('ajout_util.php');
          echo "<br />";
        }
        else if($nom=="")
        {
          echo "<div class='avertissement'>".$l_signal_nom_vide."</div>";
          echo "<br />";
          include('ajout_util.php');
          echo "<br />";
        }
        else if($mdp=="" && $remdp=="")
        {
          echo "<div class='avertissement'>".$l_signal_mdp_vide."</div>";
          echo "<br />";
          include('ajout_util.php');
          echo "<br />";
        }
        else if($mdp!=$remdp)
        {
          echo "<div class='avertissement'>".$l_sigal_mdp_dif."</div>";
          echo "<br />";
          include('ajout_util.php');
          echo "<br />";
        }
        else
        {
          $mdp=md5($mdp);
          $req_insert_admin="INSERT INTO ".$conf_prefixe."admin (admin_id, admin_nom, admin_mdp, admin_niveau)
                            VALUES ('','".mysql_real_escape_string($nom)."','".mysql_real_escape_string($mdp)."','".mysql_real_escape_string($droit_u)."')"; 
          mysql_query($req_insert_admin) or die (mysql_error());
          echo "<div class='avertissement'>".$l_signal_ajout_util."</div>";
          echo "<br />";
        }  
      
      }
      else if(isset($_POST['change_mdp']))
      {
        extract($_POST);
        $mdp=trim($mdp);
        $remdp=trim($remdp);
      
        if($mdp=="" && $remdp=="")
        {
          echo "<div class='avertissement'>".$l_signal_mdp_vide."</div>";
          echo "<br />";
          include('changemotdepasse.php');
        }
        else if($mdp!=$remdp)
        {
          echo "<div class='avertissement'>".$l_sigal_mdp_dif."</div>";
          echo "<br />";
          include('changemotdepasse.php');
        }
        else
        {
          $mdp=md5($mdp);
          
          $admin_id=$_SESSION['admin_id'];
          $req_update_mdp="UPDATE ".$conf_prefixe."admin 
                          SET admin_mdp='".mysql_real_escape_string($mdp)."'
                          WHERE admin_id='".mysql_real_escape_string($admin_id)."'";
          mysql_query($req_update_mdp) or die (mysql_error());
          echo "<div class='avertissement'>".$l_util_modif_mdp."</div>";
          echo "<br />";
        }
      }
      if(isset($_GET['modif_mdp']))
      {
        include('changemotdepasse.php');
      }
      else if(isset($_GET['gerer_util']))
      {
        echo $l_admin_util_liste_util;
        echo "<br />";
        echo "<br />";
        $req_select_admin="SELECT * FROM ".$conf_prefixe."admin 
                           WHERE admin_niveau!='0'";
        $result_admin=mysql_query($req_select_admin);
        if(mysql_num_rows($result_admin)<1)
        {
          echo "<div class='avertissement'>".$l_admin_admin_unique."</div>";
        }
        else
        {
          while(list($admin_id, $admin_nom, $admin_mdp, $admin_niv)=mysql_fetch_row($result_admin))
          {
            if($admin_niv=='1')
            {
              $modif_droit_util_1="checked";
              $modif_droit_util_2="";
            }
            else
            {
              $modif_droit_util_1="";
              $modif_droit_util_2="checked";
            }
            echo "<form method='post' action='utilisateurs.php'>";
            echo $l_admin_utlisateur_nom.$admin_nom." : ".$l_admin_utlisateur_droit." <input type='radio' name='modif_droit' value='1' ".$modif_droit_util_1." />".$l_choix_droit_util_total;
                                      echo "<input type='radio' name='modif_droit' value='2' ".$modif_droit_util_2." />".$l_choix_droit_util_restreint;
            echo "<input type='hidden' name='id' value=".$admin_id." />";
            echo "<input type='submit' value='".$l_bt_modifier."' name='modif_u' />";
            echo "<input type='submit' value='".$l_bt_suprimer."' name='sup_u' />";
            echo "<br />";
            echo $l_changer_mdp;
            echo "<input type='password' size='25' name='newmdp' />";
            echo "<input type='submit' value='".$l_bt_valider."' name='nouveau_mdp' />";
            echo "<br />";
            echo "</form>";
            echo "<br />";
          }
        }
      }
      else if(isset($_GET['ajout_util']))
      {
        include('ajout_util.php');
      }
      else
      {
        echo "<div class='cadre_blanc'>";
        echo "<a href='utilisateurs.php?modif_mdp=1' alt='".$l_admin_util_modif_mdp."' title='".$l_admin_util_modif_mdp."' >".$l_admin_util_modif_mdp."</a>";
        echo "<br />";
        echo "<br />";
        echo "<a href='utilisateurs.php?gerer_util=1' alt='".$l_admin_util_gere_u."' title='".$l_admin_util_gere_u."' >".$l_admin_util_gere_u."</a>";
        echo "<br />";
        echo "<br />";
        echo "<a href='utilisateurs.php?ajout_util=1' alt='".$l_admin_util_ajout_u."' title='".$l_admin_util_ajout_u."' >".$l_admin_util_ajout_u."</a>";
        echo "</div>";
      }
      echo "<br />";
      echo "<br />";
      echo $l_info_admin_utilisateur_droit;
    }
    else if($_SESSION['admin_niveau']=="2")
    {
        if(isset($_POST['change_mdp']))
        {
        extract($_POST);
        $mdp=trim($mdp);
        $remdp=trim($remdp);
      
        if($mdp=="" && $remdp=="")
        {
          echo "<div class='avertissement'>".$l_signal_mdp_vide."</div>";
          echo "<br />";
          include('changemotdepasse.php');
        }
        else if($mdp!=$remdp)
        {
          echo "<div class='avertissement'>".$l_sigal_mdp_dif."</div>";
          echo "<br />";
          include('changemotdepasse.php');
        }
        else
        {
          $mdp=md5($mdp);
          
          $admin_id=$_SESSION['admin_id'];
          $req_update_mdp="UPDATE ".$conf_prefixe."admin 
                          SET admin_mdp='".mysql_real_escape_string($mdp)."'
                          WHERE admin_id='".mysql_real_escape_string($admin_id)."'";
          mysql_query($req_update_mdp) or die (mysql_error());
          echo "<div class='avertissement'>".$l_util_modif_mdp."</div>";
          echo "<br />";
          }
        }
        if(isset($_GET['modif_mdp']))
        {
        include('changemotdepasse.php');
        }
        else
        {

        echo "<div class='cadre_blanc'>";
        echo "<a href='utilisateurs.php?modif_mdp=1' alt='".$l_admin_util_modif_mdp."' title='".$l_admin_util_modif_mdp."' >".$l_admin_util_modif_mdp."</a>";
        echo "<br />";
        echo "</div>";
        }
    }
    echo "</div>";
    mysql_close();
  }
  else
  {
    echo "<div class='avertissement'>".$l_signal_acces."</div>";
    echo "<br />";
    echo "<br />";
    echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
    echo "<br />";
    echo "<br />";
  }
}
echo "</div>";
include('../presentation/bas_ml.php');
?>
</body>
</html>
