<?php
////////////////////////////////////////////////////////////////////
// Caningest version 1.1                                          //
// Copyright Novembre 2007                                        //
// Tout droits de reproduction, de Modifications Interdit         //
// Ce Script est la proprit de caningest sous licence           //
// Protg par le code de la proprit intellectuelle             //
// Il est interdit de diffuser, de copier, de modifier ou         //
// d'adapter ce script sous peine de poursuites                   //
////////////////////////////////////////////////////////////////////
session_start();
if(file_exists('../configuration.php'))
{
  include('../configuration.php');
}
else
{
  $conf_langue="french.php";
}
include("../langues/".$conf_langue);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      <?php echo $l_titre_page_admin_resa ?>
    </title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="Content-Language" content="en-fr">
    <meta name="Identifier-URL" content="http://www.caningest.com">
    <meta http-equiv="Pragma" content="no-cache">
    <link rel="stylesheet" href="../presentation/css.css" type="text/css" />
  </head>
  <body>
<?php
include('../presentation/en_tete.php');
echo "<div id='conteneur'>";
echo "<br />";
if(!file_exists('../configuration.php'))
{
  echo "<div class='avertissement'>".$l_signal_config_no_existe."</div>";
  echo "<br />";
  echo "<br />";
  echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
  echo "<br />";
  echo "<br />";
}
else
{
  include('../configuration.php');
  if(isset($_SESSION['admin_niveau']))
  {
    include('../connect_bdd.php');
    include('../presentation/menu_admin.php');
    include('../fonctions.php');
    echo "<div id='contenu_a'>";
    if($_SESSION['admin_niveau']=="0" || $_SESSION['admin_niveau']=="1")   
    {
      //si pas de chien id erreur
      if(!isset($_GET['chien_id']))
      {
        echo $l_signal_acces_form;
      }
      else
      {
        extract($_GET);
        if(isset($sup_tof))
        {
          //on supprime
          $req_sup_tof="DELETE FROM ".$conf_prefixe."album_photos
                        WHERE photo_id='".mysql_real_escape_string($sup_tof)."'";
          mysql_query($req_sup_tof) or die (mysql_error());
          unlink('../images/'.$sup_tof.'.jpg');
          echo "<div class='avertissement'>".$l_photo_bien_sup."</div> ";
        }
        
        
        if(isset($_POST['ajout_tof']))
        {
        if($_FILES['image']['tmp_name']!="")
  	    {
    	     $tmp_name=$_FILES['image']['tmp_name']; 
    	     $name=$_FILES['image']['name']; 
    	     $size=$_FILES['image']['size']; 
    	     $type=$_FILES['image']['type']; 
    	     $erreur=$_FILES['image']['error']; 
		      if($erreur=='1')
    	    {
      	   echo "<div class='avertissement'>".$l_erreur_poid_image."</div>";
    	    }
    	    if(($type!="image/jpeg")&&($type!="image/pjpeg"))
    	    {
      	    echo "<div class='avertissement'>".$l_erreur_format_image."</div> ";
		        $erreur=5;
		      }
		      if($erreur=='0')
    	    {
		        $lerep="../images/"; 
            $nom_photo=date("YmdHis");
      	     if (!move_uploaded_file($tmp_name,$lerep.$nom_photo.'.jpg'))
      	   {
      		  echo "<div class='avertissement'>".$l_erreur_transfert_image."</div>" ;
      	   }
      	   else
      	   {
			        $result_redim=fct_resize($lerep.$nom_photo.'.jpg',$lerep,400,$nom_photo);
              if($result_redim!="0")
              {
                echo "<div class='avertissement'>".$result_redim."</div>";
                unlink($lerep.$nom_photo.'.jpg');
                $nom_photo="";
              }
              //on peut enregistre dans la base
              else
              {
                $req_insert_tof="INSERT INTO ".$conf_prefixe."album_photos 
                (photo_id, chien_id) VALUES ('".mysql_real_escape_string($nom_photo)."', '".mysql_real_escape_string($chien_id)."')";
                mysql_query($req_insert_tof) or die (mysql_error());
                echo "<div class='avertissement'>".$l_photo_inseree."</div>";
              }
            }
          }
        }
        }
        
        
        $nom_chien=fct_nom_chien_affixe($chien_id);
        echo "<div class='cadre_blanc'>";
        echo "<h1>".$l_album_photos." ".$nom_chien."</h1>";
        //on va rechercher toutes les photos du chiens
        $req_select_tof="SELECT photo_id FROM ".$conf_prefixe."album_photos
                        WHERE chien_id='".mysql_real_escape_string($chien_id)."'";
        $select_tof=mysql_query($req_select_tof);
        if(mysql_num_rows($select_tof)==0)
        {
          echo $l_aucune_photos_actu;
        }
        else
        {
          while(list($photo_id)=mysql_fetch_row($select_tof))
          {
            echo "<img src='../images/".$photo_id.".jpg'>";
            echo "<br />";
            //lien supprimer
            echo "<a href='alphotos.php?chien_id=".$chien_id."&sup_tof=".$photo_id."'>".$l_sup_photo."</a>";
            echo "<br />";
          }
        }
        echo "</div>";
        echo "<br />";
        echo "<div class='cadre_blanc'>";
        echo "<h1>".$l_ajout_photos."</h1>";
        echo "<form enctype='multipart/form-data' action='alphotos.php?chien_id=".$chien_id."' method='post'>";
        echo "<input type='hidden' name='MAX_FILE_SIZE' value='1000000'>";
        echo "<input name='image' type='file' size='40'/>";
        echo "<input type='submit' value='".$l_bt_valider."' name='ajout_tof' />";
        echo "</form>";
        echo "</div>";
      }
    }
    else if($_SESSION['admin_niveau']=="2")
    {
      echo "<div class='avertissement'>".$l_droit_restreint_bloque."</div>";
    }
    echo "</div>";
    mysql_close();
  }
  else
  {
    echo "<div class='avertissement'>".$l_signal_acces."</div>";
    echo "<br />";
    echo "<br />";
    echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
    echo "<br />";
    echo "<br />";
  }
}
echo "</div>";
include('../presentation/bas_ml.php');
    ?>
  </body>
</html>
