<?php
////////////////////////////////////////////////////////////////////
// Caningest version 1.1                                          //
// Copyright Novembre 2007                                        //
// Tout droits de reproduction, de Modifications Interdit         //
// Ce Script est la proprit de caningest sous licence           //
// Protg par le code de la proprit intellectuelle             //
// Il est interdit de diffuser, de copier, de modifier ou         //
// d'adapter ce script sous peine de poursuites                   //
////////////////////////////////////////////////////////////////////
session_start();
if(file_exists('../configuration.php'))
{
  include('../configuration.php');
}
else
{
  $conf_langue="french.php";
}
include("../langues/".$conf_langue);
?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<title><?php echo $l_titre_page_admin_elevage ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="Content-Language" content="en-fr">
  <meta name="Identifier-URL" content="http://www.caningest.com">
  <meta http-equiv="Pragma" content="no-cache">
	<link rel="stylesheet" href="../presentation/css.css" type="text/css" />
	</head>
	<body>
<?php
include('../presentation/en_tete.php');
echo "<div id='conteneur'>";
echo "<br />";
if(!file_exists('../configuration.php'))
{
  echo "<div class='avertissement'>".$l_signal_config_no_existe."</div>";
  echo "<br />";
  echo "<br />";
  echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
  echo "<br />";
  echo "<br />";
}
else
{
  include('../configuration.php');
  if(isset($_SESSION['admin_niveau']))
  {
    include('../connect_bdd.php');
    include('../presentation/menu_admin.php');
    echo "<div id='contenu_a'>";
    echo "<h1>".$l_titre_admin_elevage."</h1>";
    if($_SESSION['admin_niveau']=="0" || $_SESSION['admin_niveau']=="1")   
    {
      echo $l_acceuil_admin_elevage;
      if(isset($_POST['elev']))
      {
          $utilisateur_id=$_SESSION['admin_id'];
          
          extract($_POST);
          $affixe=trim($affixe);
          $affixe=htmlentities($affixe, ENT_QUOTES);
          $nom=trim($nom);
          $nom=htmlentities($nom, ENT_QUOTES);
          $prenom=trim($prenom);
          $prenom=htmlentities($prenom, ENT_QUOTES);
          $adresse=trim($adresse);
          $adresse=htmlentities($adresse, ENT_QUOTES);
          $ville=trim($ville);
          $ville=htmlentities($ville, ENT_QUOTES);
          $cp=trim($cp);
          $cp=htmlentities($cp, ENT_QUOTES);
          $dep=trim($dep);
          $dep=htmlentities($dep, ENT_QUOTES);
          $tel=trim($tel);
          $tel=htmlentities($tel, ENT_QUOTES);
          $fax=trim($fax);
          $fax=htmlentities($fax, ENT_QUOTES);
          $scc=trim($scc);
          $scc=htmlentities($scc, ENT_QUOTES);
          $siret=trim($siret);
          $siret=htmlentities($siret, ENT_QUOTES);
          $mail=trim($mail);
          $mail=htmlentities($mail, ENT_QUOTES);
          
          if($affixe_pos=="0")
          {
            $affixe_pos_av="checked";
            $affixe_pos_ap="";
          }
          else
          {
            $affixe_pos_av="";
            $affixe_pos_ap="checked";
          }

          $erreurs="";
          if($affixe=="")
          {
            $erreurs.=$l_erreur_affixe_vide."<br />";
            unset($_POST['elev']);
          }
          if($nom=="")
          {
            $erreurs.=$l_erreur_nom_vide."<br />";
            unset($_POST['elev']);
          }
          if($prenom=="")
          {
            $erreurs.=$l_erreur_prenom_vide."<br />";
            unset($_POST['elev']);
          }
          if($adresse=="")
          {
            $erreurs.=$l_erreur_adresse_vide."<br />";
            unset($_POST['elev']);
          }
          if($ville=="")
          {
            $erreurs.=$l_erreur_ville_vide."<br />";
            unset($_POST['elev']);
          }
          if($cp=="")
          {
            $erreurs.=$l_erreur_cp_vide."<br />";
            unset($_POST['elev']);
          }
          if($dep=="")
          {
            $erreurs.=$l_erreur_dep_vide."<br />";
            unset($_POST['elev']);
          }
          if($tel=="")
          {
            $erreurs.=$l_erreur_tel_vide."<br />";
            unset($_POST['elev']);
          }
          if($scc=="")
          {
            $erreurs.=$l_erreur_scc_vide."<br />";
            unset($_POST['elev']);
          }

          $atom   = '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';
          $domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)';
                               
          $regex = '/^' . $atom . '+' .
          '(\.' . $atom . '+)*' .
          '@' .
          '(' . $domain . '{1,63}\.)+' .
          $domain . '{2,63}$/i';

          if (!preg_match($regex, $mail))
          {
            $erreurs.=$l_erreur_mail_non_valide."<br />";
            unset($_POST['elev']);
          }
          if($erreurs=="")
          {
          $date=date("Y-m-d");
	        $path=$_SERVER['HTTP_HOST'];
            if($id=="false")
            {
            
              $req_insert_elev="INSERT INTO ".$conf_prefixe."eleveur
                                VALUES ('','".mysql_real_escape_string($affixe)."','".mysql_real_escape_string($affixe_pos)."','".mysql_real_escape_string($nom)."',"
                      . "'".mysql_real_escape_string($prenom)."','".mysql_real_escape_string($adresse)."','".mysql_real_escape_string($ville)."',"
                      . "'".mysql_real_escape_string($cp)."','".mysql_real_escape_string($dep)."','".mysql_real_escape_string($tel)."',"
                      . "'".mysql_real_escape_string($fax)."','".mysql_real_escape_string($scc)."','".mysql_real_escape_string($siret)."','".mysql_real_escape_string($mail)."' )";
              mysql_query($req_insert_elev) or die (mysql_error());
              $id=mysql_insert_id();
              $req_insert_elevs="INSERT INTO ".$conf_prefixe."eleveurs
                                VALUES ('','".mysql_real_escape_string($affixe)."','".mysql_real_escape_string($affixe_pos)."','".mysql_real_escape_string($nom)."',"
                      . "'".mysql_real_escape_string($prenom)."','".mysql_real_escape_string($adresse)."','".mysql_real_escape_string($ville)."',"
                      . "'".mysql_real_escape_string($cp)."','".mysql_real_escape_string($dep)."','".mysql_real_escape_string($l_eleveur_pays_defaut)."',"
                      . "'".mysql_real_escape_string($tel)."','".mysql_real_escape_string($fax)."','".mysql_real_escape_string($mail)."','".mysql_real_escape_string($path)."',"
                      . "'".mysql_real_escape_string($utilisateur_id)."', '".mysql_real_escape_string($date)."','".mysql_real_escape_string($utilisateur_id)."', '".mysql_real_escape_string($date)."' )";
              mysql_query($req_insert_elevs) or die (mysql_error());
              $req_insert_proprio="INSERT INTO ".$conf_prefixe."proprio
                                VALUES ('','".mysql_real_escape_string($nom)."','".mysql_real_escape_string($prenom)."','".mysql_real_escape_string($adresse)."',"
                      . "'".mysql_real_escape_string($ville)."','".mysql_real_escape_string($cp)."','".mysql_real_escape_string($dep)."','".mysql_real_escape_string($l_eleveur_pays_defaut)."',"
                      . "'".mysql_real_escape_string($tel)."','".mysql_real_escape_string($mail)."','".mysql_real_escape_string($utilisateur_id)."',"
                      . "'".mysql_real_escape_string($date)."','".mysql_real_escape_string($utilisateur_id)."', '".mysql_real_escape_string($date)."' )";
              mysql_query($req_insert_proprio) or die (mysql_error());
              
            }
            else
            {
              $req_update_elev="UPDATE ".$conf_prefixe."eleveur SET 
                                eleveur_affixe='".mysql_real_escape_string($affixe)."' ,
                                eleveur_affixe_pos='".mysql_real_escape_string($affixe_pos)."' ,
                                eleveur_nom='".mysql_real_escape_string($nom)."' ,
                                eleveur_prenom='".mysql_real_escape_string($prenom)."',
				                        eleveur_rue='".mysql_real_escape_string($adresse)."',
				                        eleveur_ville='".mysql_real_escape_string($ville)."',
				                        eleveur_cp='".mysql_real_escape_string($cp)."',
				                        eleveur_dep='".mysql_real_escape_string($dep)."',
				                        eleveur_tel='".mysql_real_escape_string($tel)."',
				                        eleveur_fax='".mysql_real_escape_string($fax)."',
				                        eleveur_numero='".mysql_real_escape_string($scc)."',
				                        eleveur_siret='".mysql_real_escape_string($siret)."',
				                        eleveur_mail='".mysql_real_escape_string($mail)."'
                                WHERE eleveur_id='".mysql_real_escape_string($id)."'";
				      mysql_query($req_update_elev) or die (mysql_error());
				      $req_update_elevs="UPDATE ".$conf_prefixe."eleveurs SET 
                                eleveurs_affixe='".mysql_real_escape_string($affixe)."' ,
                                eleveurs_affixe_pos='".mysql_real_escape_string($affixe_pos)."' ,
                                eleveurs_nom='".mysql_real_escape_string($nom)."' ,
                                eleveurs_prenom='".mysql_real_escape_string($prenom)."',
				                        eleveurs_rue='".mysql_real_escape_string($adresse)."',
				                        eleveurs_ville='".mysql_real_escape_string($ville)."',
				                        eleveurs_cp='".mysql_real_escape_string($cp)."',
				                        eleveurs_dep='".mysql_real_escape_string($dep)."',
				                        eleveurs_pays='".mysql_real_escape_string($l_eleveur_pays_defaut)."',
				                        eleveurs_tel='".mysql_real_escape_string($tel)."',
				                        eleveurs_fax='".mysql_real_escape_string($fax)."',
				                        eleveurs_mail='".mysql_real_escape_string($mail)."',
				                        eleveurs_url='".mysql_real_escape_string($path)."',
				                        utilisateur_m_id='".mysql_real_escape_string($utilisateur_id)."',
				                        date_modif='".mysql_real_escape_string($date)."'
                                WHERE eleveurs_id='".mysql_real_escape_string($id_s)."'";
				      mysql_query($req_update_elevs) or die (mysql_error());
				      $req_update_proprio="UPDATE ".$conf_prefixe."proprio SET 
                                proprio_nom='".mysql_real_escape_string($nom)."' ,
                                proprio_prenom='".mysql_real_escape_string($prenom)."',
				                        proprio_rue='".mysql_real_escape_string($adresse)."',
				                        proprio_ville='".mysql_real_escape_string($ville)."',
				                        proprio_cp='".mysql_real_escape_string($cp)."',
				                        proprio_dep='".mysql_real_escape_string($dep)."',
				                        proprio_pays='".mysql_real_escape_string($l_eleveur_pays_defaut)."',
				                        proprio_tel='".mysql_real_escape_string($tel)."',
				                        proprio_mail='".mysql_real_escape_string($mail)."',
				                        utilisateur_m_id='".mysql_real_escape_string($utilisateur_id)."',
				                        date_modif='".mysql_real_escape_string($date)."'
                                WHERE proprio_id='".mysql_real_escape_string($id_p)."'";
				      mysql_query($req_update_proprio) or die (mysql_error());
            }
            echo "<div class='avertissement'>".$l_insert_elev."</div>";
          }
          else
          {
            echo "<div class='avertissement'>".$erreurs."</div>";
          }
      }
      else
      {
        $req_count="SELECT COUNT(*) FROM ".$conf_prefixe."eleveur ;";
        $result_count=mysql_query($req_count);
        $result_count=mysql_fetch_row($result_count);
        if($result_count[0]==0)
        {
          $id="false";
          $id_s[0]="";
          $id_p[0]="";
          $affixe="";
          $affixe_pos_av="checked";
          $affixe_pos_ap="";
          $nom="";
          $prenom="";
          $adresse="";
          $ville="";
          $cp="";
          $dep="";
          $pays=$l_eleveur_pays_defaut;
          $tel="";
          $fax="";
          $scc="";
          $siret="";
          $mail="";
        }
        else
        {         
          $req_select_elev="SELECT * FROM ".$conf_prefixe."eleveur";
          $result_select=mysql_query($req_select_elev);
          
          list($id,$affixe,$affixe_pos,$nom,$prenom,$adresse,$ville,$cp,$dep,$tel,$fax,$scc,$siret,$mail)=mysql_fetch_row($result_select);
          $req_select_id_s="SELECT eleveurs_id FROM ".$conf_prefixe."eleveurs 
                            WHERE eleveurs_nom='".mysql_real_escape_string($nom)."'
                            AND eleveurs_affixe='".mysql_real_escape_string($affixe)."'";
          $result_id_s=mysql_query($req_select_id_s);
          $id_s=mysql_fetch_row($result_id_s);
          $req_select_id_p="SELECT proprio_id FROM ".$conf_prefixe."proprio 
                            WHERE proprio_nom='".mysql_real_escape_string($nom)."'
                            AND proprio_prenom='".mysql_real_escape_string($prenom)."'
                            AND proprio_mail='".mysql_real_escape_string($mail)."'";
          $result_id_p=mysql_query($req_select_id_p) or die(mysql_error());
          $id_p=mysql_fetch_row($result_id_p);
          
          
          if($affixe_pos=="0")
          {
            $affixe_pos_av="checked";
            $affixe_pos_ap="";
          }
          else
          {
            $affixe_pos_av="";
            $affixe_pos_ap="checked";
          }
        }
      }
      if(!isset($_POST['elev']))
      {
	      $path=$_SERVER['HTTP_HOST'];
        echo "<form action='elevage.php' method='post'>";
        echo "<input type='hidden' name='id' value=".$id." />";
        echo "<input type='hidden' name='id_s' value=".$id_s[0]." />";
        echo "<input type='hidden' name='id_p' value=".$id_p[0]." />";
        echo "<label>".$l_demande_affixe."</label>";
        echo '<input name="affixe" type="text" value="'.$affixe.'" size="40" maxlength="100" />';
        echo "<br />";
        echo "<label>".$l_demande_affixe_pos."</label>";
        echo "<input type='radio' name='affixe_pos' value='0' ".$affixe_pos_av." />".$l_affixe_pos_av;
        echo "<input type='radio' name='affixe_pos' value='1' ".$affixe_pos_ap." />".$l_affixe_pos_ap;
        echo " ".$l_le_nom_du_chien;
        echo "<br />";
        echo "<label>".$l_demande_nom."</label>";
        echo "<input name='nom' type='text' value='".$nom."' size='20' maxlength='100' />";
        echo "<br />";
        echo "<label>".$l_demande_prenom."</label>";
        echo "<input name='prenom' type='text' value='".$prenom."' size='20' maxlength='100' />";
        echo "<br />";
        echo "<label>".$l_demande_adresse."</label>";
        echo "<input name='adresse' type='text' value='".$adresse."' size='40' maxlength='100' />";
        echo "<br />";
        echo "<label>".$l_demande_ville."</label>";
        echo "<input name='ville' type='text' value='".$ville."' size='20' maxlength='100' />";
        echo "<br />";
        echo "<label>".$l_demande_cp."</label>";
        echo "<input name='cp' type='text' value='".$cp."' size='10' maxlength='10' />";
        echo "<br />";
        echo "<label>".$l_demande_dep."</label>";
        include('liste_dep.php');
        echo "<br />";
        echo "<label>".$l_demande_tel."</label>";
        echo "<input name='tel' type='text' value='".$tel."' size='20' maxlength='20' /> <span class='petit'>".$_demande_format_tel."</span>";
        echo "<br />";
        echo "<label>".$l_demande_fax."</label>";
        echo "<input name='fax' type='text' value='".$fax."' size='20' maxlength='20' />";
        echo "<br />";
        echo "<label>".$l_demande_scc."</label>";
        echo "<input name='scc' type='text' value='".$scc."' size='30' maxlength='100' /> <span class='petit'>".$l_si_scc_en_cour."</span>";
        echo "<br />";
        echo "<label>".$l_demande_siret."</label>";
        echo "<input name='siret' type='text' value='".$siret."' size='30' maxlength='100'/>";
        echo "<br />";
        echo "<label>".$l_demande_mail."</label>";
        echo "<input name='mail' type='text' value='".$mail."' size='40' maxlength='100' />";
        echo "<br />";
        echo "".$l_demande_pays."";
        echo $l_eleveur_pays_defaut;
        echo "<br />";
        echo "".$l_demande_url."";
        echo $path;
        echo "<br />";
        echo "<label>&nbsp;</label>";
        if($id!="false")
        {
           echo "<br /><input type='submit' value='".$l_bt_modifier."' name='elev' />";
        }
        else
        {
           echo "<br /><input type='submit' value='".$l_bt_valider."' name='elev' />";
        }
        echo "</form>"; 
      }
    }
    else if($_SESSION['admin_niveau']=="2")
    {
      echo "<div class='avertissement'>".$l_droit_restreint_bloque."</div>";
    }
    echo "</div>";
    mysql_close();
  }
  else
  {
    echo "<div class='avertissement'>".$l_signal_acces."</div>";
    echo "<br />";
    echo "<br />";
    echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
    echo "<br />";
    echo "<br />";
  }
}
echo "</div>";
include('../presentation/bas_ml.php');
?>
</body>
</html>
