<?php
////////////////////////////////////////////////////////////////////
// Caningest version 1.1                                          //
// Copyright Novembre 2007                                        //
// Tout droits de reproduction, de Modifications Interdit         //
// Ce Script est la proprit de caningest sous licence           //
// Protg par le code de la proprit intellectuelle             //
// Il est interdit de diffuser, de copier, de modifier ou         //
// d'adapter ce script sous peine de poursuites                   //
////////////////////////////////////////////////////////////////////
session_start();
if (file_exists('../configuration.php')) {
    include('../configuration.php');
} else {
    $conf_langue = "french.php";
}
include("../langues/" . $conf_langue);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>
<?php echo $l_titre_page_admin_expo ?>
        </title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="Content-Language" content="en-fr">
            <meta name="Identifier-URL" content="http://www.caningest.com">
                <meta http-equiv="Pragma" content="no-cache">
                    <link rel="stylesheet" href="../presentation/css.css" type="text/css" />
                    <meta name="generator" content="PSPad editor, www.pspad.com">
                        <!-- calendar stylesheet -->
                        <link rel="stylesheet" type="text/css" media="all" href="../calendrier/calendar-win2k-1.css" title="win2k-cold-1" />
                        <!-- main calendar program -->
                        <script type="text/javascript" src="../calendrier/calendar.js"></script>
                        <!-- language for the calendar -->
                        <script type="text/javascript" src="../calendrier/lang/calendar-fr.js"></script>
                        <!-- the following script defines the Calendar.setup helper function, which makes
                        adding a calendar a matter of 1 or 2 lines of code. -->
                        <script type="text/javascript" src="../calendrier/calendar-setup.js"></script>
                        </head>
                        <body>
<?php
include('../presentation/en_tete.php');
echo "<div id='conteneur'>";
echo "<br />";
if (!file_exists('../configuration.php')) {
    echo "<div class='avertissement'>" . $l_signal_config_no_existe . "</div>";
    echo "<br />";
    echo "<br />";
    echo "<div class='valid'><a href='../index.php' alt'" . $l_lien_retour . "' title='" . $l_lien_retour . "' >" . $l_lien_retour . "</a></div>";
    echo "<br />";
    echo "<br />";
} else {
    include('../configuration.php');
    if (isset($_SESSION['admin_niveau'])) {
        include('../connect_bdd.php');
        include('../presentation/menu_admin.php');
        include('../fonctions.php');
        echo "<div id='contenu_a'>";
        echo "<h1>" . $l_titre_admin_expo . "</h1>";
        if ($_SESSION['admin_niveau'] == "0" || $_SESSION['admin_niveau'] == "1") {
            if (isset($_POST['sup_expo_v'])) {
                extract($_POST);
                $req_sup_soin = "DELETE FROM " . $conf_prefixe . "expo
                         WHERE expo_id='" . mysql_real_escape_string($sup_expo_id) . "' ";
                mysql_query($req_sup_soin) or die(mysql_error());
                echo "<div class='avertissement'>" . $l_avert_expo_sup . "</div>";
                echo "<br />";
            } else if (isset($_POST['sup_expo'])) {
                extract($_POST);
                echo "<form method='post' action='exposition.php'>";
                echo "<div class='avertissement'>" . $l_alert_sup_expo . $result_expo . "</div>";
                echo "<input type='hidden' name='sup_expo_id' value='" . $expo_id . "' />";
                echo '<input type="hidden" name="chien_nom_affixe" value="' . $chien_nom_affixe . '" />';
                echo '<input type="hidden" name="chien_lof" value="' . $chien_lof . '" />';
                echo "<input type='hidden' name='chien_id' value=" . $chien_id . " />";
                echo "<input type='hidden' name='race' value=" . $race . " />";
                echo "<br /><input type='submit' value='" . $l_bt_suprimer . "' name='sup_expo_v' />";
                echo "</form>";
                echo "<br />";
                echo "<br />";
            } else if (isset($_POST['ajout_expo']) || (isset($_POST['m_expo_id']))) {
                extract($_POST);
                $lieu = trim($lieu);
                $lieu = htmlentities($lieu, ENT_QUOTES);
                $juge = trim($juge);
                $juge = htmlentities($juge, ENT_QUOTES);
                $classe = trim($classe);
                $classe = htmlentities($classe, ENT_QUOTES);
                $qualif = trim($qualif);
                $qualif = htmlentities($qualif, ENT_QUOTES);
                $result = trim($result);
                $result = htmlentities($result, ENT_QUOTES);

                if (isset($_POST['m_expo_id'])) {
                    $req_update_soin = "UPDATE " . $conf_prefixe . "expo SET
                            expo_date='" . mysql_real_escape_string($date_expo) . "',
                            expo_lieu='" . mysql_real_escape_string($lieu) . "',
                            expo_juge='" . mysql_real_escape_string($juge) . "',
                            expo_classe='" . mysql_real_escape_string($classe) . "',
                            expo_qualif='" . mysql_real_escape_string($qualif) . "',
                            expo_result='" . mysql_real_escape_string($result) . "'
                            WHERE expo_id='" . mysql_real_escape_string($m_expo_id) . "'";
                    mysql_query($req_update_soin);
                    echo "<div class='avertissement'>" . $info_expo_modif . "</div>";
                } else {
                    $req_insert_soin = "INSERT INTO " . $conf_prefixe . "expo
                            VALUES ('','" . mysql_real_escape_string($chien_id) . "','" . mysql_real_escape_string($date_expo) . "','" . mysql_real_escape_string($lieu) . "',"
                            . "'" . mysql_real_escape_string($juge) . "','" . mysql_real_escape_string($classe) . "','" . mysql_real_escape_string($qualif) . "','" . mysql_real_escape_string($result) . "')";
                    mysql_query($req_insert_soin)or die(mysql_error());
                    echo "<div class='avertissement'>" . $info_expo_insere . "</div>";
                }
            } else if (isset($_POST['modif_expo'])) {
                extract($_POST);
            }

            if (isset($_POST['info_chien']) || isset($_POST['chien_id'])) {
                extract($_POST);
                echo "<div class='cadre_blanc'>";
                echo "<div class='bloc_centre'>";
                echo "<img src='../presentation/expo_gd.png' alt='" . $l_veto . "' title='" . $l_veto . "' class='float' />";
                echo "<h2>" . $l_fiche_expo_accueil . $chien_nom_affixe . "
        <br /><br /><br />" . $l_num_pedig . " : " . $chien_lof . "</h2>";
                echo "</div>";
                echo "<br /><br />";
                if (!isset($_POST['modif_expo'])) {
                    $date_expo = date("Y-m-d");
                    $lieu = "";
                    $juge = "";
                    $qualif = "";
                    $result = "";
                } else {
                    $req_select_soin = "SELECT * FROM " . $conf_prefixe . "expo
                            WHERE expo_id='" . mysql_real_escape_string($expo_id) . "'";
                    $select_soin = mysql_query($req_select_soin);
                    list($expo_id, $chien_id, $date_expo, $lieu, $juge, $classe, $qualif, $result) = mysql_fetch_row($select_soin);
                }
                echo "<form action='exposition.php' method='post'>";
                if (isset($_POST['modif_expo'])) {
                    echo "<input type='hidden' name='m_expo_id' value=" . $expo_id . " />";
                }
                echo "<input type='hidden' name='chien_id' value=" . $chien_id . " />";
                echo '<input type="hidden" name="chien_nom_affixe" value="' . $chien_nom_affixe . '" />';
                echo '<input type="hidden" name="chien_lof" value="' . $chien_lof . '" />';
                echo "<input type='hidden' name='race' value=" . $race . " />";
                echo "<label>" . $l_demande_date_expo . "</label>";
                echo "<input name='date_expo' type='text' value='" . $date_expo . "' id='cal_date_expo' size='10' readonly />";
                echo "&nbsp;";
                echo "<input type='button' name='bt_date_naiss' class='boutoncal' id='bt_cal_date_expo' />";
                ?>
                                            <script type="text/javascript">
                                                Calendar.setup
                                                        ({
                                                            inputField: "cal_date_expo",
                                                            ifFormat: "%Y-%m-%d",
                                                            showsTime: false,
                                                            button: "bt_cal_date_expo",
                                                            singleClick: true,
                                                            step: 1
                                                        });
                                            </script>
                                            <?php
                                            echo "<br />";
                                            echo "<label>" . $l_demande_lieu . "</label>";
                                            echo "<input name='lieu' type='text' value='" . $lieu . "'size='30' />";
                                            echo "<br />";
                                            echo "<label>" . $l_demande_juge . "</label>";
                                            echo "<input name='juge' type='text' value='" . $juge . "'size='30' />";
                                            echo "<br />";
                                            echo "<label>" . $l_demande_classe . "</label>";
                                            include('liste_classe.php');
                                            echo "<br />";
                                            echo "<label>" . $l_demande_qualif . "</label>";
                                            echo "<input name='qualif' type='text' value='" . $qualif . "' size='30' />";
                                            echo "<br />";
                                            echo "<label>" . $l_demande_result . "</label>";
                                            echo "<input name='result' type='text' value='" . $result . "'size='30' />";
                                            echo "<br />";
                                            if (isset($_POST['modif_expo'])) {
                                                echo "<label>&nbsp;</label>";
                                                echo "<input type='submit' value='" . $l_bt_modifier . "' name='a_modif_expo' />";
                                            } else {
                                                echo "<label>&nbsp;</label>";
                                                echo "<input type='submit' value='" . $l_bt_valider . "' name='ajout_expo' />";
                                            }
                                            echo "</form>";
                                            echo "</div>";
                                            echo "<br />";
                                            $req_select_soin = "SELECT expo_id, chien_id, DATE_FORMAT(expo_date,'%d-%m-%Y'),
                            expo_lieu, expo_juge, expo_classe, expo_qualif, expo_result
                            FROM " . $conf_prefixe . "expo
                            WHERE chien_id='" . mysql_real_escape_string($chien_id) . "'
                            ORDER BY expo_date desc, expo_id desc";
                                            $select_soin = mysql_query($req_select_soin);
                                            if (mysql_num_rows($select_soin) < 1) {
                                                echo "<div class='avertissement'>" . $l_signal_aucun_expo . "</div>";
                                            } else {
                                                echo "<div class='cadre_blanc'>";
                                                echo "<table width='100%'>";
                                                echo "<tr class='titre'><th>" . $l_date . "</th><th>" . $l_lieux . "</th><th>" . $l_juges . "</th><th>" . $l_classes . "</th><th>" . $l_qualificatifs . "</th><th>" . $l_resultats . "</th><th>" . $l_tab_edit . "</th><th>" . $l_tab_sup . "</th></tr>";
                                                echo "<tr>";
                                                while (list($expo_id, $chien_id, $date_expo, $lieu_expo, $juge_expo, $classe_expo, $qualif_expo, $result_expo) = mysql_fetch_row($select_soin)) {
                                                    echo "<form method='post' action='exposition.php'>";
                                                    echo "<input type='hidden' name='chien_id' value=" . $chien_id . " />";
                                                    echo "<input type='hidden' name='expo_id' value=" . $expo_id . " />";
                                                    echo '<input type="hidden" name="chien_nom_affixe" value="' . $chien_nom_affixe . '" />';
                                                    echo '<input type="hidden" name="chien_lof" value="' . $chien_lof . '" />';
                                                    echo "<input type='hidden' name='race' value=" . $race . " />";
                                                    echo "<input type='hidden' name='result_expo' value='" . $result_expo . "' />";
                                                    echo "<td>" . $date_expo . "</td>";
                                                    echo "<td>" . $lieu_expo . "</td>";
                                                    echo "<td>" . $juge_expo . "</td>";
                                                    echo "<td>" . $classe_expo . "</td>";
                                                    echo "<td>" . $qualif_expo . "</td>";
                                                    echo "<td>" . $result_expo . "</td>";
                                                    echo "<td>";
                                                    echo "<input type='submit' value='' name='modif_expo' class='boutonedit' title='" . $l_bt_modifier . "' />";
                                                    echo "</td>";
                                                    echo "<td>";
                                                    echo "<input type='submit' value='' name='sup_expo'  class='boutonsup' title='" . $l_bt_suprimer . "' />";
                                                    echo "</td>";
                                                    echo "</tr><tr>";
                                                    echo "</form>";
                                                }
                                                echo "</tr>";
                                                echo "</table>";
                                                echo "</div>";
                                            }
                                        } else if (!isset($_POST['race']) && !isset($_GET['race'])) {
                                            $req_select_race = "SELECT * FROM " . $conf_prefixe . "race";
                                            $select_race = mysql_query($req_select_race);
                                            if (mysql_num_rows($select_race) < 1) {
                                                echo "<div class='avertissement'>" . $l_signal_aucune_race . "</div>";
                                            } else {
                                                echo "<form action='exposition.php' method='post'>";
                                                echo "<label>" . $l_demande_choix_race_chien . "</label>";
                                                echo "<select name='race'>";
                                                while (list($id_race, $nom_race) = mysql_fetch_row($select_race)) {
                                                    echo "<option value='" . $id_race . "' >" . $nom_race . "</option>";
                                                }
                                                echo "</select>";
                                                echo "<input type='submit' value='" . $l_bt_valider . "' name='choix_race' />";
                                                echo "</form>";
                                                echo "<br />";
                                            }
                                        } else {
                                            extract($_POST);
                                            extract($_GET);
                                            $nb_affich = "30";
                                            if (!isset($_GET['limite'])) {
                                                $limite = 0;
                                            } else {
                                                $limite = $_GET['limite'];
                                                if ($limite <= 0) {
                                                    $limite = 0;
                                                }
                                            }
                                            $req_select_chien = "SELECT chien_id, chien_nom, eleveurs_id
                           FROM " . $conf_prefixe . "chien";
                                            $select_chien = mysql_query($req_select_chien);
                                            if (mysql_num_rows($select_chien) < 1) {
                                                echo "<div class='avertissement'>" . $l_signal_aucun_chien . "</div>";
                                                echo "<br />";
                                            } else {
                                                echo "<div class='lettre'><a href='exposition.php?alpha=a&race=" . $race . "'>A</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=b&race=" . $race . "'>B</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=c&race=" . $race . "'>C</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=d&race=" . $race . "'>D</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=e&race=" . $race . "'>E</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=f&race=" . $race . "'>F</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=g&race=" . $race . "'>G</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=h&race=" . $race . "'>H</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=i&race=" . $race . "'>I</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=j&race=" . $race . "'>J</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=k&race=" . $race . "'>K</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=l&race=" . $race . "'>L</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=m&race=" . $race . "'>M</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=n&race=" . $race . "'>N</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=o&race=" . $race . "'>O</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=p&race=" . $race . "'>P</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=q&race=" . $race . "'>Q</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=r&race=" . $race . "'>R</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=s&race=" . $race . "'>S</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=t&race=" . $race . "'>T</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=u&race=" . $race . "'>U</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=v&race=" . $race . "'>V</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=w&race=" . $race . "'>W</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=x&race=" . $race . "'>X</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=y&race=" . $race . "'>Y</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=z&race=" . $race . "'>Z</a></div>";
                                                echo "<div class='lettre'><a href='exposition.php?alpha=&race=" . $race . "'>#</a></div>";
                                                echo "<br />";
                                                echo "<br />";
                                                echo "<br />";
                                                if (isset($_GET['alpha'])) {
                                                    extract($_GET);
                                                    $req_count_chien = "select COUNT(*) FROM " . $conf_prefixe . "chien WHERE chien_interne='0'";
                                                    $total_chien = mysql_query($req_count_chien);
                                                    $total_chien = mysql_fetch_row($total_chien);
                                                    $total_chien = $total_chien[0];


                                                    $req_select_chien = "SELECT chien_id, chien_nom,chien_sexe,chien_num_lof, eleveurs_id, proprio_id, utilisateur_id
                                  FROM " . $conf_prefixe . "chien
                                  WHERE chien_nom LIKE '" . mysql_real_escape_string($alpha) . "%'
                                  AND race_id='" . mysql_real_escape_string($race) . "'
                                  AND chien_interne='0'
                                  ORDER BY chien_nom
                                  LIMIT " . mysql_real_escape_string($limite) . "," . mysql_real_escape_string($nb_affich) . "";
                                                    $result_chien = mysql_query($req_select_chien);
                                                    if (mysql_num_rows($result_chien) < 1) {
                                                        echo "<div class='avertissement'>" . $l_signal_pas_chien_lettre . "</div>";
                                                        echo "<br />";
                                                        $erreur_vide = "";
                                                    }
                                                } else {
                                                    extract($_GET);
                                                    $req_count_chien = "select COUNT(*) FROM " . $conf_prefixe . "chien WHERE chien_interne='0'";
                                                    $total_chien = mysql_query($req_count_chien);
                                                    $total_chien = mysql_fetch_row($total_chien);
                                                    $total_chien = $total_chien[0];
                                                    $alpha = "";
                                                    $req_select_chien = "SELECT chien_id, chien_nom,chien_sexe,chien_num_lof, eleveurs_id, proprio_id, utilisateur_id
                               FROM " . $conf_prefixe . "chien
                               WHERE chien_nom LIKE '" . mysql_real_escape_string($alpha) . "%'
                               AND race_id='" . mysql_real_escape_string($race) . "'
                               AND chien_interne='0'
                               ORDER BY chien_nom
                               LIMIT " . mysql_real_escape_string($limite) . "," . mysql_real_escape_string($nb_affich) . "";
                                                    $result_chien = mysql_query($req_select_chien);
                                                    if (mysql_num_rows($result_chien) < 1) {
                                                        echo "<div class='avertissement'>" . $l_aucun_chien_gere_race . "</div>";
                                                        echo "<br />";
                                                        $erreur_vide = "";
                                                    }
                                                }
                                                if (!isset($erreur_vide)) {
                                                    echo "<div class='cadre_blanc'>";
                                                    echo "<table width='100%'>";
                                                    echo "<tr class='titre'><th>" . $l_tab_sexe . "</th><th>" . $l_tab_nom . "</th><th>" . $l_gerer . "</th></tr>";
                                                    echo "<tr>";
                                                    while (list($chien_id, $chien_nom, $chien_sexe, $chien_lof, $eleveurs_id, $proprio_id, $utilisateur_id) = mysql_fetch_row($result_chien)) {
                                                        if ($chien_lof == "/") {
                                                            $chien_lof = "";
                                                        }
                                                        $le_nom_af = fct_nom_chien_affixe($chien_id);
                                                        echo "<form method='post' action='exposition.php'>";
                                                        echo "<input type='hidden' name='chien_id' value='" . $chien_id . "' />";
                                                        echo '<input type="hidden" name="chien_lof" value="' . $chien_lof . '" />';
                                                        echo '<input type="hidden" name="chien_nom_affixe" value="' . $le_nom_af . '" />';
                                                        echo "<input type='hidden' name='race' value=" . $race . " />";
                                                        if ($chien_sexe == 0) {
                                                            echo "<td>";
                                                            echo "<img src='../presentation/mini_chien_male.jpg' alt='" . $l_male . "' />";
                                                            echo "</td>";
                                                            echo "<td>";
                                                            echo "<span class='male'><a href='fiche_chien.php?chien_id=" . $chien_id . "' alt='" . $l_fiche_du_chien . "' title='" . $l_fiche_du_chien . "' target='_blank'>" . $le_nom_af . "</a></span>";
                                                            echo "</td>";
                                                        } else {
                                                            echo "<td>";
                                                            echo "<img src='../presentation/mini_chien_femelle.jpg' alt='" . $l_femelle . "' />";
                                                            echo "</td>";
                                                            echo "<td>";
                                                            echo "<span class='femelle'><a href='fiche_chien.php?chien_id=" . $chien_id . "' alt='" . $l_fiche_du_chien . "' title='" . $l_fiche_du_chien . "' target='_blank'>" . $le_nom_af . "</a></span>";
                                                            echo "</td>";
                                                        }
                                                        echo "<td>";
                                                        echo "<input type='submit' value='" . $l_gerer . "' name='info_chien' title='" . $l_gerer . "' />";
                                                        echo "</td>";
                                                        echo "</tr><tr>";
                                                        echo "</form>";
                                                    }
                                                    echo "</tr>";
                                                    echo "</table>";
                                                    echo "</div>";
                                                    echo "<br />";
                                                    $limitesuivante = $limite + $nb_affich;
                                                    $limiteprecedente = $limite - $nb_affich;
                                                    if ($limiteprecedente < 0) {
                                                        $limiteprecedente = 0;
                                                    }
                                                    if ($limite != 0) {
                                                        echo "<a href='exposition.php?race=" . $race . "&limite=" . $limiteprecedente . "&alpha=" . $alpha . "' title='" . $l_page_precedente . "'>" . $l_page_precedente . " </a>";
                                                        echo "&nbsp;&nbsp;";
                                                    }
                                                    if ($limitesuivante < $total_chien) {
                                                        echo "<a href='exposition.php?race=" . $race . "&limite=" . $limitesuivante . "&alpha=" . $alpha . "' title='" . $l_page_suivante . "'>" . $l_page_suivante . " </a>";
                                                    }
                                                    echo "<br /><br />";
                                                }
                                            }
                                        }
                                    } else if ($_SESSION['admin_niveau'] == "2") {
                                        echo "<div class='avertissement'>" . $l_droit_restreint_bloque . "</div>";
                                    }
                                    echo "</div>";
                                    mysql_close();
                                } else {
                                    echo "<div class='avertissement'>" . $l_signal_acces . "</div>";
                                    echo "<br />";
                                    echo "<br />";
                                    echo "<div class='valid'><a href='../index.php' alt'" . $l_lien_retour . "' title='" . $l_lien_retour . "' >" . $l_lien_retour . "</a></div>";
                                    echo "<br />";
                                    echo "<br />";
                                }
                            }
                            echo "</div>";
                            include('../presentation/bas_ml.php');
                            ?>
                        </body>
                        </html>
