<?php
////////////////////////////////////////////////////////////////////
// Caningest version 1.1                                          //
// Copyright Novembre 2007                                        //
// Tout droits de reproduction, de Modifications Interdit         //
// Ce Script est la proprit de caningest sous licence           //
// Protg par le code de la proprit intellectuelle             //
// Il est interdit de diffuser, de copier, de modifier ou         //
// d'adapter ce script sous peine de poursuites                   //
////////////////////////////////////////////////////////////////////
session_start();
if(file_exists('../configuration.php'))
{
  include('../configuration.php');
}
else
{
  $conf_langue="french.php";
}
include("../langues/".$conf_langue);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      <?php echo $l_titre_page_admin_naissance ?>
    </title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="Content-Language" content="en-fr">
    <meta name="Identifier-URL" content="http://www.caningest.com">
    <meta http-equiv="Pragma" content="no-cache">
    <link rel="stylesheet" href="../presentation/css.css" type="text/css" />
    <meta name="generator" content="PSPad editor, www.pspad.com">
    <!-- calendar stylesheet -->
    <link rel="stylesheet" type="text/css" media="all" href="../calendrier/calendar-win2k-1.css" title="win2k-cold-1" />
    <!-- main calendar program -->
<script type="text/javascript" src="../calendrier/calendar.js"> </script>
    <!-- language for the calendar -->
<script type="text/javascript" src="../calendrier/lang/calendar-fr.js"> </script>
    <!-- the following script defines the Calendar.setup helper function, which makes
    adding a calendar a matter of 1 or 2 lines of code. -->
<script type="text/javascript" src="../calendrier/calendar-setup.js"> </script>
  </head>
  <body>
<?php
include('../presentation/en_tete.php');
echo "<div id='conteneur'>";
echo "<br />";
if(!file_exists('../configuration.php'))
{
  echo "<div class='avertissement'>".$l_signal_config_no_existe."</div>";
  echo "<br />";
  echo "<br />";
  echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
  echo "<br />";
  echo "<br />";
}
else
{
  include('../configuration.php');
  if(isset($_SESSION['admin_niveau']))
  {
    include('../connect_bdd.php');
    include('../presentation/menu_admin.php');
    include('../fonctions.php');
    echo "<div id='contenu_a'>";
    if($_SESSION['admin_niveau']=="0" || $_SESSION['admin_niveau']=="1")   
    {
      echo "<h1>".$l_titre_admin_naissance."</h1>";
      echo "<br />";
      if(isset($_GET['en_cour']))
      {
        if(isset($_POST['valid_saillie']))
        {
          extract($_POST);
          $req_update_saillie="UPDATE ".$conf_prefixe."saillie SET
                            saillie_mab='".mysql_real_escape_string($date_mab)."',
                            saillie_fils='".mysql_real_escape_string($fils)."',
                            saillie_filles='".mysql_real_escape_string($filles)."',
                            saillie_passe='1'
                            WHERE saillie_id='".mysql_real_escape_string($saillie_id)."'" ;
        mysql_query($req_update_saillie) or die(mysql_query());
        echo "<div class='avertissement'>".$l_saillie_valid."</div>";
        }
        $req_select_saillie="SELECT saillie_id, chien_id, male_id, saillie_date, saillie_type FROM ".$conf_prefixe."saillie
                             WHERE saillie_passe='0'
                             ORDER BY saillie_date DESC";
        $select_saillie=mysql_query($req_select_saillie);
        if(mysql_num_rows($select_saillie)==0)
        {
          echo "<div class='avertissement'>".$l_aucune_saillie_en_cour."</div>";
        }
        else
        {
          echo "<div class='cadre_blanc'>";
          echo "<h1>".$l_saillie_en_cour."</h1>";
          echo "<table width='100%'>";
          echo "<tr class='titre'><th>".$l_date_saillie."</th><th>".$l_geniteurs."</th><th>".$l_type_saillie."</th>
                <th>".$l_tc_etoile."</th><th>".$l_date_mb."</th><th>".$l_nb_males."</th><th>".$l_nb_femelles."</th><th>".$l_bt_valider."</th></tr>";
          while(list($saillie_id, $chien_id, $male_id, $date_saillie, $type_saillie)=mysql_fetch_row($select_saillie))
          {
            if($type_saillie==0)
            {
              $type_saillie=$l_naturelle;
            }
            else
            {
              $type_saillie=$l_artificielle;
            }
            $date_mab=DateInXDays(62,$date_saillie);
            $date_saillie=explode("-",$date_saillie);
            $date_saillie=$date_saillie[2]."/".$date_saillie[1]."/".$date_saillie[0];
            
            $nom_etalon=fct_nom_chien_affixe($male_id);
            $nom_femelle=fct_nom_chien_affixe($chien_id);
            echo "<tr>";
            echo "<td>".$date_saillie."</td>";
            echo "<td><span class='male'>".$nom_etalon."</span><br /><span class='femelle'>".$nom_femelle."</span></td>";
            echo "<td>".$type_saillie."</td>";
            $tx_consang=fct_calcul_consang($male_id, $chien_id);
            echo "<td>";
            if($tx_consang<10)
            {
            echo "<span class='vert'>".$tx_consang."%</span>";
            }
            else if($tx_consang>=20)
            {
            echo "<span class='rouge'>".$tx_consang."%</span>";
            }
            else
            {
            echo "<span class='orange'>".$tx_consang."%</span>";
            }
            echo "</td>";
            echo "<form action='naissance.php?en_cour=1' method='post'>";
            echo "<input type='hidden' name='saillie_id' value='".$saillie_id."' />";
            echo "<td>";
            echo "<input name='date_mab' type='text' value='".$date_mab."' id='cal_date_mab' size='10' readonly />";
          echo "&nbsp;";
          echo "<input type='button' name='bt_date_naiss' class='boutoncal' id='bt_cal_date_mab' />";
    ?>
<script type="text/javascript">
Calendar.setup
({
inputField     :    "cal_date_mab",
ifFormat       :    "%Y-%m-%d",
showsTime      :    false,
button         :    "bt_cal_date_mab",
singleClick    :    true,
step           :    1
});
</script>
<?php
            echo "</td>";
            echo "<td><input type='text' size='5' name='fils'/></td>";
            echo "<td><input type='text' size='5' name='filles'/></td>";
            echo "<td><input type='submit' value='".$l_bt_valider."' name='valid_saillie' /></td>";
            echo "</form>";
            echo "</tr><tr>";
            }
          echo "</tr>";
          echo "</table>";
          echo "</div>";
          echo "<br />";
          echo "<span class='rouge'>*".$l_info_consang."</span>";
          echo "<br />";
          }
      }
      else if(isset($_GET['old']))
      {
        if(isset($_POST['invalid_saillie']))
        {
          extract($_POST);
          $req_update_saillie="UPDATE ".$conf_prefixe."saillie SET
                            saillie_passe='0'
                            WHERE saillie_id='".mysql_real_escape_string($saillie_id)."'" ;
        mysql_query($req_update_saillie) or die(mysql_query());
        echo "<div class='avertissement'>".$l_saillie_invalid."</div>";
        }
        if(isset($_GET['all']))
        {
          $nb_affich='1000';
        }
        else
        {
          $nb_affich="10";
        }
        $req_select_saillie="SELECT saillie_id, chien_id, male_id, saillie_type, saillie_mab, saillie_fils, saillie_filles FROM ".$conf_prefixe."saillie
                             WHERE saillie_passe='1'
                             ORDER BY saillie_mab DESC
                             LIMIT 0,".mysql_real_escape_string($nb_affich)."";
        $select_saillie=mysql_query($req_select_saillie);
        if(mysql_num_rows($select_saillie)==0)
        {
          echo "<div class='avertissement'>".$l_aucune_saillie_valide."</div>";
        }
        else
        {
          echo "<div class='cadre_blanc'>";
          echo "<h1>".$l_saillie_passe."</h1>";
          echo "<table width='100%'>";
          echo "<tr class='titre'><th>".$l_date_mb."</th><th>".$l_geniteurs."</th><th>".$l_type_saillie."</th>
                <th>".$l_tc_etoile."</th><th>".$l_nb_males."</th><th>".$l_nb_femelles."</th><th>".$l_invalider."</th></tr>";
          while(list($saillie_id, $chien_id, $male_id, $type_saillie, $saillie_mab, $nb_fils, $nb_filles )=mysql_fetch_row($select_saillie))
          {
            if($type_saillie==0)
            {
              $type_saillie=$l_naturelle;
            }
            else
            {
              $type_saillie=$l_artificielle;
            }
            $saillie_mab=explode("-",$saillie_mab);
            $saillie_mab=$saillie_mab[2]."/".$saillie_mab[1]."/".$saillie_mab[0];
            
            $nom_etalon=fct_nom_chien_affixe($male_id);
            $nom_femelle=fct_nom_chien_affixe($chien_id);
            echo "<tr>";
            echo "<td>".$saillie_mab."</td>";
            echo "<td><span class='male'>".$nom_etalon."</span><br /><span class='femelle'>".$nom_femelle."</span></td>";
            echo "<td>".$type_saillie."</td>";
            $tx_consang=fct_calcul_consang($male_id, $chien_id);
            echo "<td>";
            if($tx_consang<10)
            {
            echo "<span class='vert'>".$tx_consang."%</span>";
            }
            else if($tx_consang>=20)
            {
            echo "<span class='rouge'>".$tx_consang."%</span>";
            }
            else
            {
            echo "<span class='orange'>".$tx_consang."%</span>";
            }
            echo "</td>";
            echo "<form action='naissance.php?old=1' method='post'>";
            echo "<input type='hidden' name='saillie_id' value='".$saillie_id."' />";
            echo "<td>".$nb_fils."</td>";
            echo "<td>".$nb_filles."</td>";
            echo "<td><input type='submit' value='".$l_invalider."' name='invalid_saillie' /></td>";
            echo "</form>";
            echo "</tr><tr>";
        }
        echo "</tr>";
        echo "</table>";
        if(mysql_num_rows($select_saillie)>=$nb_affich)
        {
          echo "<a href='naissance.php?old=1&all=1' alt='".$l_voir_tout."' title='".$l_voir_tout."' >".$l_voir_tout."</a>";
        }
        echo "</div>";
        echo "<br />";
        echo "<span class='rouge'>*".$l_info_consang."</span>";
        echo "<br />";
        }
      }
      echo "<br />";
      echo "<div class='cadre_blanc'>";
      echo "<a href='naissance.php?en_cour=1' alt'".$l_lien_saillie_en_cour."' title='".$l_lien_saillie_en_cour."' >".$l_lien_saillie_en_cour."</a>";
      echo "<br />";
      echo "<br />";
      echo "<a href='naissance.php?old=1' alt'".$l_lien_anciennes_naissances."' title='".$l_lien_anciennes_naissances."' >".$l_lien_anciennes_naissances."</a>";
      echo "<br />";
      echo "</div>";
      echo "<br />";
      
    }
    else if($_SESSION['admin_niveau']=="2")
    {
      echo "<div class='avertissement'>".$l_droit_restreint_bloque."</div>";
    }
    echo "</div>";
    mysql_close();
  }
  else
  {
    echo "<div class='avertissement'>".$l_signal_acces."</div>";
    echo "<br />";
    echo "<br />";
    echo "<div class='valid'><a href='../index.php' alt'".$l_lien_retour."' title='".$l_lien_retour."' >".$l_lien_retour."</a></div>";
    echo "<br />";
    echo "<br />";
  }
}
echo "</div>";
include('../presentation/bas_ml.php');
    ?>
  </body>
</html>
