<?php
////////////////////////////////////////////////////////////////////
// Caningest version 1.1                                          //
// Copyright Novembre 2007                                        //
// Tout droits de reproduction, de Modifications Interdit         //
// Ce Script est la proprit de caningest sous licence           //
// Protg par le code de la proprit intellectuelle             //
// Il est interdit de diffuser, de copier, de modifier ou         //
// d'adapter ce script sous peine de poursuites                   //
////////////////////////////////////////////////////////////////////
session_start();
if (file_exists('../configuration.php')) {
    include('../configuration.php');
} else {
    $conf_langue = "french.php";
}
include("../langues/" . $conf_langue);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo $l_titre_page_admin_proprio ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="Content-Language" content="en-fr">
            <meta name="Identifier-URL" content="http://www.caningest.com">
                <meta http-equiv="Pragma" content="no-cache">
                    <link rel="stylesheet" href="../presentation/css.css" type="text/css" />
                    </head>
                    <body>
<?php
include('../presentation/en_tete.php');
echo "<div id='conteneur'>";
echo "<br />";
if (!file_exists('../configuration.php')) {
    echo "<div class='avertissement'>" . $l_signal_config_no_existe . "</div>";
    echo "<br />";
    echo "<br />";
    echo "<div class='valid'><a href='../index.php' alt'" . $l_lien_retour . "' title='" . $l_lien_retour . "' >" . $l_lien_retour . "</a></div>";
    echo "<br />";
    echo "<br />";
} else {
    include('../configuration.php');
    if (isset($_SESSION['admin_niveau'])) {
        include('../connect_bdd.php');
        include('../presentation/menu_admin.php');
        echo "<div id='contenu_a'>";
        echo "<h1>" . $l_titre_admin_proprio . "</h1>";
        if ($_SESSION['admin_niveau'] == "0" || $_SESSION['admin_niveau'] == "1" || $_SESSION['admin_niveau'] == "2") {
            if (isset($_POST['sup_proprio_v'])) {
                extract($_POST);
                $req_sup_proprio = "DELETE FROM " . $conf_prefixe . "proprio 
                         WHERE proprio_id='" . mysql_real_escape_string($sup_proprio_id) . "' ";
                mysql_query($req_sup_proprio);
                echo "<div class='avertissement'>" . $l_avert_proprio_sup . "</div>";
                echo "<br />";
            }
            if (isset($_POST['sup_prop'])) {
                extract($_POST);

                $req_select_proprio = "SELECT proprio_id, proprio_nom, proprio_prenom 
                                  FROM " . $conf_prefixe . "proprio
                                  WHERE proprio_id=" . mysql_real_escape_string($g_proprio) . "";
                $result_proprio = mysql_query($req_select_proprio);
                list($proprio_id, $proprio_nom, $proprio_prenom) = mysql_fetch_row($result_proprio);
                echo "<form method='post' action='proprio.php'>";
                echo "<div class='avertissement'>" . $l_valid_sup_proprio . "";
                echo $l_sup_proprio_info_nom . $proprio_nom . "</div>";
                echo "<input type='hidden' name='sup_proprio_id' value=" . $proprio_id . " />";
                echo "<br /><input type='submit' value='" . $l_bt_suprimer . "' name='sup_proprio_v' />";
                echo "</form>";
            } else if (isset($_POST['modif_prop'])) {
                extract($_POST);
                $req_select_proprio_m = "SELECT * FROM " . $conf_prefixe . "proprio
                          WHERE proprio_id='" . mysql_real_escape_string($g_proprio) . "'";
                $select_proprio_m = mysql_query($req_select_proprio_m) or die(mysql_errors());
                list($id, $nom, $prenom, $adresse, $ville, $cp, $dep, $pays, $tel, $mail, $idu) = mysql_fetch_row($select_proprio_m);
            } else if (isset($_POST['proprio'])) {
                $utilisateur_id = $_SESSION['admin_id'];

                extract($_POST);
                $nom = trim($nom);
                $nom = htmlentities($nom, ENT_QUOTES);
                $prenom = trim($prenom);
                $prenom = htmlentities($prenom, ENT_QUOTES);
                $adresse = trim($adresse);
                $adresse = htmlentities($adresse, ENT_QUOTES);
                $ville = trim($ville);
                $ville = htmlentities($ville, ENT_QUOTES);
                $cp = trim($cp);
                $cp = htmlentities($cp, ENT_QUOTES);
                $dep = trim($dep);
                $dep = htmlentities($dep, ENT_QUOTES);
                $tel = trim($tel);
                $tel = htmlentities($tel, ENT_QUOTES);
                $mail = trim($mail);
                $mail = htmlentities($mail, ENT_QUOTES);
                $erreurs = "";
                if (!isset($id)) {
                    $req_proprio_exist = "SELECT proprio_nom FROM " . $conf_prefixe . "proprio
                          WHERE (proprio_nom='" . mysql_real_escape_string($nom) . "'
                          AND proprio_prenom='" . mysql_real_escape_string($prenom) . "')";
                    $proprio_exist = mysql_query($req_proprio_exist);
                    if (mysql_num_rows($proprio_exist) >= 1) {
                        $erreurs.=$l_erreur_proprio_exist . "<br />";
                    }
                }
                if ($nom == "") {
                    $erreurs.=$l_erreur_affixe_nom_prop . "<br />";
                }
                $atom = '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';
                $domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)';

                $regex = '/^' . $atom . '+' .
                        '(\.' . $atom . '+)*' .
                        '@' .
                        '(' . $domain . '{1,63}\.)+' .
                        $domain . '{2,63}$/i';
                if (!preg_match($regex, $mail) && $mail != "") {
                    $erreurs.=$l_erreur_mail_non_valide . "<br />";
                }
                if ($erreurs == "") {
                    $date = date("Y-m-d");
                    if (!isset($id)) {
                        $req_insert_prop = "INSERT INTO " . $conf_prefixe . "proprio
                               VALUES ('','" . mysql_real_escape_string($nom) . "','" . mysql_real_escape_string($prenom) . "','" . mysql_real_escape_string($adresse) . "',"
                                . "'" . mysql_real_escape_string($ville) . "','" . mysql_real_escape_string($cp) . "','" . mysql_real_escape_string($dep) . "','" . mysql_real_escape_string($pays) . "',"
                                . "'" . mysql_real_escape_string($tel) . "','" . mysql_real_escape_string($mail) . "','" . mysql_real_escape_string($utilisateur_id) . "',"
                                . " '" . mysql_real_escape_string($date) . "','" . mysql_real_escape_string($utilisateur_id) . "', '" . mysql_real_escape_string($date) . "' )";
                        mysql_query($req_insert_prop) or die(mysql_error());
                        echo "<div class='avertissement'>" . $l_insert_prop . "</div>";
                        echo "<br />";
                    } else {
                        $req_update_proprio = "UPDATE " . $conf_prefixe . "proprio SET 
                                proprio_nom='$nom' ,
                                proprio_prenom='$prenom',
				                        proprio_rue='" . mysql_real_escape_string($adresse) . "',
				                        proprio_ville='" . mysql_real_escape_string($ville) . "',
				                        proprio_cp='" . mysql_real_escape_string($cp) . "',
				                        proprio_dep='" . mysql_real_escape_string($dep) . "',
				                        proprio_pays='" . mysql_real_escape_string($pays) . "',
				                        proprio_tel='" . mysql_real_escape_string($tel) . "',
				                        proprio_mail='" . mysql_real_escape_string($mail) . "',
				                        utilisateur_m_id='" . mysql_real_escape_string($utilisateur_id) . "',
				                        date_modif='" . mysql_real_escape_string($date) . "'
                                WHERE proprio_id='" . mysql_real_escape_string($id) . "'";
                        mysql_query($req_update_proprio) or die(mysql_error());
                        echo "<div class='avertissement'>" . $l_modif_proprio . "</div>";
                        echo "<br />";
                    }
                } else {
                    $erreur_oui = "";
                }
            }

            if (isset($_GET['gere_prop'])) {
                $nb_affich = "30";

                if (!isset($_GET['limite'])) {
                    $limite = 0;
                } else {
                    $limite = $_GET['limite'];
                    if ($limite <= 0) {
                        $limite = 0;
                    }
                }
                $req_select_eleveur_site = "SELECT eleveur_nom, eleveur_prenom, eleveur_mail
                                    FROM " . $conf_prefixe . "eleveur";
                $select_elev_site = mysql_query($req_select_eleveur_site);

                if (mysql_num_rows($select_elev_site) < 1) {
                    echo "<div class='avertissement'>" . $l_signal_aucun_proprio . $l_menu_admin_1 . "</div>";
                    echo "<br />";
                } else {
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=a'>A</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=b'>B</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=c'>C</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=d'>D</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=e'>E</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=f'>F</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=g'>G</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=h'>H</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=i'>I</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=j'>J</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=k'>K</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=l'>L</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=m'>M</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=n'>N</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=o'>O</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=p'>P</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=q'>Q</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=r'>R</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=s'>S</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=t'>T</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=u'>U</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=v'>V</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=w'>W</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=x'>X</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=y'>Y</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha=z'>Z</a></div>";
                    echo "<div class='lettre'><a href='proprio.php?gere_prop=1&alpha='>#</a></div>";
                    echo "<br />";
                    echo "<br />";
                    echo "<br />";

                    list($elev_site_nom, $elev_site_prenom, $elev_site_mail) = mysql_fetch_row($select_elev_site);

                    $req_select_proprio = "SELECT proprio_id, proprio_nom, proprio_prenom,proprio_ville, proprio_mail 
                                    FROM " . $conf_prefixe . "proprio
                                    WHERE (proprio_nom='" . mysql_real_escape_string($elev_site_nom) . "'
                                    AND proprio_prenom='" . mysql_real_escape_string($elev_site_prenom) . "'
                                    AND proprio_mail='" . mysql_real_escape_string($elev_site_mail) . "')";
                    $result_proprio = mysql_query($req_select_proprio);
                    list($proprio_id, $proprio_nom, $proprio_prenom, $proprio_ville, $proprio_mail) = mysql_fetch_row($result_proprio);

                    echo $l_affich_votre_proprio;
                    echo "<br />";
                    echo "<div class='cadre_blanc'>";
                    echo "<table width='100%'>";
                    echo "<tr>";
                    echo "<form method='post' action='elevage.php'>";
                    echo "<td>";
                    echo "<input type='hidden' name='g_elevs' value=" . $proprio_id . " />";
                    echo $proprio_nom . " " . $proprio_prenom;
                    echo "</td>";
                    echo "<td>";
                    echo $proprio_ville;
                    echo "</td>";
                    echo "<td>";
                    echo "<a href='mailto:" . $proprio_mail . "' alt='" . $proprio_mail . "' title='" . $proprio_mail . "'><img src='../presentation/img_mail.gif' alt='" . $proprio_mail . "' title='" . $proprio_mail . "' /></a>";
                    echo "</td>";
                    if ($_SESSION['admin_niveau'] != "2") {
                        echo "<td>";
                        echo "<input type='submit' value='' name='elevs' class='boutonedit' title='" . $l_bt_modifier . "' />";
                        echo "</td>";
                    }
                    echo "</tr>";
                    echo "</form>";
                    echo "</tr>";
                    echo "</table>";
                    echo "</div>";
                    echo "<br />";
                    if (isset($_GET['alpha'])) {
                        extract($_GET);
                        $req_count_proprio = "select COUNT(*) 
                                    FROM " . $conf_prefixe . "proprio
                                    WHERE (proprio_nom!='" . mysql_real_escape_string($elev_site_nom) . "'
                                    OR proprio_prenom!='" . mysql_real_escape_string($elev_site_prenom) . "'
                                    OR proprio_mail!='" . mysql_real_escape_string($elev_site_mail) . "')
                                    AND proprio_nom LIKE '" . mysql_real_escape_string($alpha) . "%'";
                        $total_proprio = mysql_query($req_count_proprio);
                        $total_proprio = mysql_fetch_row($total_proprio);
                        $total_proprio = $total_proprio[0];

                        $req_select_proprio = "SELECT proprio_id, proprio_nom, proprio_prenom,proprio_pays, proprio_mail, utilisateur_id 
                                    FROM " . $conf_prefixe . "proprio
                                    WHERE (proprio_nom!='" . mysql_real_escape_string($elev_site_nom) . "'
                                    OR proprio_prenom!='" . mysql_real_escape_string($elev_site_prenom) . "'
                                    OR proprio_mail!='" . mysql_real_escape_string($elev_site_mail) . "')
                                    AND proprio_nom LIKE '" . mysql_real_escape_string($alpha) . "%'
                                    ORDER BY proprio_nom
                                    LIMIT " . mysql_real_escape_string($limite) . "," . mysql_real_escape_string($nb_affich) . "";
                        $result_proprio = mysql_query($req_select_proprio);
                        if (mysql_num_rows($result_proprio) < 1) {
                            echo "<div class='avertissement'>" . $l_signal_pas_proprio_lettre . "</div>";
                            echo "<br />";
                            $erreur_vide = "";
                        }
                    } else {
                        $req_count_proprio = "select COUNT(*) 
                                    FROM " . $conf_prefixe . "proprio
                                    WHERE (proprio_nom!='" . mysql_real_escape_string($elev_site_nom) . "'
                                    OR proprio_prenom!='" . mysql_real_escape_string($elev_site_prenom) . "'
                                    OR proprio_mail!='" . mysql_real_escape_string($elev_site_mail) . "')";
                        $total_proprio = mysql_query($req_count_proprio);
                        $total_proprio = mysql_fetch_row($total_proprio);
                        $total_proprio = $total_proprio[0];
                        $alpha = "";
                        $req_select_proprio = "SELECT proprio_id, proprio_nom, proprio_prenom,proprio_pays, proprio_mail, utilisateur_id 
                                    FROM " . $conf_prefixe . "proprio
                                    WHERE (proprio_nom!='" . mysql_real_escape_string($elev_site_nom) . "'
                                    OR proprio_prenom!='" . mysql_real_escape_string($elev_site_prenom) . "'
                                    OR proprio_mail!='" . mysql_real_escape_string($elev_site_mail) . "')
                                    ORDER BY proprio_nom
                                    LIMIT " . mysql_real_escape_string($limite) . "," . mysql_real_escape_string($nb_affich) . "";
                        $result_proprio = mysql_query($req_select_proprio);
                        if (mysql_num_rows($result_proprio) < 1) {
                            echo "<div class='avertissement'>" . $l_signal_seul_proprio . "</div>";
                            echo "<br />";
                            $erreur_vide = "";
                        }
                    }
                    if (!isset($erreur_vide)) {
                        echo $l_affich_autre_proprio;
                        echo "<br />";

                        echo "<div class='cadre_blanc'>";
                        echo "<table width='100%'>";
                        echo "<tr class='titre' ><th>" . $l_tab_nom . "</th><th>" . $l_tab_pays . "</th><th>" . $l_tab_mail . "</th><th>" . $l_tab_edit . "</th><th>" . $l_tab_sup . "</th></tr>";
                        echo "<tr>";
                        while (list($proprio_id, $proprio_nom, $proprio_prenom, $proprio_ville, $proprio_mail, $utilisateur_id) = mysql_fetch_row($result_proprio)) {

                            echo "<form method='post' action='proprio.php'>";
                            echo "<td>";
                            echo "<input type='hidden' name='g_proprio' value=" . $proprio_id . " />";
                            echo $proprio_nom . " " . $proprio_prenom;
                            echo "</td>";
                            echo "<td>";
                            echo $proprio_ville;
                            echo "</td>";
                            echo "<td>";
                            if ($proprio_mail != "") {
                                echo "<a href='mailto:" . $proprio_mail . "' alt='" . $proprio_mail . "' title='" . $proprio_mail . "'><img src='../presentation/img_mail.gif' alt='" . $proprio_mail . "' title='" . $proprio_mail . "'/></a>";
                            }
                            echo "</td>";
                            if ($_SESSION['admin_niveau'] != "2" || $utilisateur_id == $_SESSION['admin_id']) {
                                echo "<td>";
                                echo "<input type='submit' value='' name='modif_prop' class='boutonedit' title='" . $l_bt_modifier . "' />";
                                echo "</td>";
                                echo "<td>";
                                echo "<input type='submit' value='' name='sup_prop'  class='boutonsup' title='" . $l_bt_suprimer . "' />";
                                echo "</td>";
                            }
                            echo "</tr><tr>";
                            echo "</form>";
                        }
                        echo "</tr>";
                        echo "</table>";
                        echo "</div>";
                        echo "<br />";
                        $limitesuivante = $limite + $nb_affich;
                        $limiteprecedente = $limite - $nb_affich;
                        if ($limiteprecedente < 0) {
                            $limiteprecedente = 0;
                        }
                        if ($limite != 0) {
                            echo "<a href='proprio.php?gere_prop=1&limite=" . $limiteprecedente . "&alpha=" . $alpha . "' title='" . $l_page_precedente . "'>" . $l_page_precedente . " </a>";
                            echo "&nbsp;&nbsp;";
                        }
                        if ($limitesuivante < $total_proprio) {
                            echo "<a href='proprio.php?gere_prop=1&limite=" . $limitesuivante . "&alpha=" . $alpha . "' title='" . $l_page_suivante . "'>" . $l_page_suivante . " </a>";
                        }
                        echo "<br /><br />";
                    }
                }
            } else if (isset($_GET['ajout_prop']) || isset($erreur_oui) || isset($_POST['modif_prop'])) {
                if (isset($_POST['modif_prop']) || isset($id)) {
                    echo $l_accueil_modif_proprio;
                    echo "<br />";
                    echo $l_champ_obligatoire;
                    echo "<br />";
                    echo "<br />";
                } else {
                    echo $l_accueil_ajout_proprio;
                    echo "<br />";
                    echo $l_champ_obligatoire;
                    echo "<br />";
                    echo "<br />";
                }
                if (isset($_GET['ajout_prop'])) {
                    $nom = "";
                    $prenom = "";
                    $adresse = "";
                    $ville = "";
                    $cp = "";
                    $dep = "";
                    $pays = $l_eleveur_pays_defaut;
                    $tel = "";
                    $mail = "";
                } else if (isset($erreur_oui)) {
                    echo "<div class='avertissement'>" . $erreurs . "</div>";
                    echo "<br />";
                }
                echo "<form action='proprio.php' method='post'>";
                if (isset($id)) {
                    echo "<input type='hidden' name='id' value=" . $id . " />";
                }
                echo "<label>" . $l_demande_nom_prop . "</label>";
                echo "<input name='nom' type='text' value='" . $nom . "' size='20' maxlength='100' />";
                echo "<br />";
                echo "<label>" . $l_demande_prenom_prop . "</label>";
                echo "<input name='prenom' type='text' value='" . $prenom . "' size='20' maxlength='100' />";
                echo "<br />";
                echo "<label>" . $l_demande_adresse_prop . "</label>";
                echo "<input name='adresse' type='text' value='" . $adresse . "' size='40' maxlength='100' />";
                echo "<br />";
                echo "<label>" . $l_demande_ville_prop . "</label>";
                echo "<input name='ville' type='text' value='" . $ville . "' size='20' maxlength='100' />";
                echo "<br />";
                echo "<label>" . $l_demande_cp_prop . "</label>";
                echo "<input name='cp' type='text' value='" . $cp . "' size='10' maxlength='10' />";
                echo "<br />";
                echo "<label>" . $l_demande_dep_prop . "</label>";
                include('liste_dep.php');
                echo "<br />";
                echo "<label>" . $l_demande_pays_prop . "</label>";
                include('liste_pays.php');
                echo "<br />";
                echo "<label>" . $l_demande_tel_prop . "</label>";
                echo "<input name='tel' type='text' value='" . $tel . "' size='20' maxlength='20' /> <span class='petit'>" . $_demande_format_tel . "</span>";
                echo "<br />";
                echo "<label>" . $l_demande_mail_prop . "</label>";
                echo "<input name='mail' type='text' value='" . $mail . "' size='40' maxlength='100' />";
                echo "<br />";
                echo "<label>&nbsp;</label>";
                echo "<br /><input type='submit' value='" . $l_bt_valider . "' name='proprio' />";
                echo "</form>";
                echo "<br />";
            }
            $req_select_eleveur_site = "SELECT eleveur_affixe, eleveur_nom
                                FROM " . $conf_prefixe . "eleveur";
            $select_elev_site = mysql_query($req_select_eleveur_site);

            if (mysql_num_rows($select_elev_site) < 1) {
                echo "<div class='avertissement'>" . $l_signal_aucun_proprio . $l_menu_admin_1 . "</div>";
            } else {
                echo "<br />";
                echo "<div class='cadre_blanc'>";
                echo "<a href='proprio.php?ajout_prop=1' alt'" . $l_lien_ajout_proprio . "' title='" . $l_lien_ajout_proprio . "' >" . $l_lien_ajout_proprio . "</a>";
                echo "<br />";
                echo "<br />";
                echo "<a href='proprio.php?gere_prop=1' alt'" . $l_lien_gere_proprio . "' title='" . $l_lien_gere_proprio . "' >" . $l_lien_gere_proprio . "</a>";
                echo "</div>";
                echo "<br />";

                echo $l_info_insert_auto_proprio;
            }
        } else {
            
        }
        echo "</div>";
        mysql_close();
    } else {
        echo "<div class='avertissement'>" . $l_signal_acces . "</div>";
        echo "<br />";
        echo "<br />";
        echo "<div class='valid'><a href='../index.php' alt'" . $l_lien_retour . "' title='" . $l_lien_retour . "' >" . $l_lien_retour . "</a></div>";
        echo "<br />";
        echo "<br />";
    }
}
echo "</div>";
include('../presentation/bas_ml.php');
?>
                    </body>
                    </html>
