<?php
include('../configuration.php');
//stoque le nom des diffrentes tables
$lestables[]=$conf_prefixe."admin";
$lestables[]=$conf_prefixe."eleveur";
$lestables[]=$conf_prefixe."protect";
$lestables[]=$conf_prefixe."eleveurs";
$lestables[]=$conf_prefixe."proprio";
$lestables[]=$conf_prefixe."race";
$lestables[]=$conf_prefixe."titre";
$lestables[]=$conf_prefixe."titre_chien";
$lestables[]=$conf_prefixe."chien";
$lestables[]=$conf_prefixe."sante";
$lestables[]=$conf_prefixe."expo";
$lestables[]=$conf_prefixe."chaleur";
$lestables[]=$conf_prefixe."saillie";
$lestables[]=$conf_prefixe."meta";
$lestables[]=$conf_prefixe."txt_accueil";
$lestables[]=$conf_prefixe."paiement";
$lestables[]=$conf_prefixe."resa";
$lestables[]=$conf_prefixe."livreor";
$lestables[]=$conf_prefixe."album_photos";
$lestables[]=$conf_prefixe."article";
$lestables[]=$conf_prefixe."menu";

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
//requtes grant la crations des tables
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
$req_creation_admin="
CREATE TABLE `".$conf_prefixe."admin` (
`admin_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`admin_nom` VARCHAR( 100 ) NOT NULL ,
`admin_mdp` VARCHAR( 100 ) NOT NULL ,
`admin_niveau` TINYINT( 10 ) NOT NULL DEFAULT '0'
)";
$req_creation_eleveur="
CREATE TABLE `".$conf_prefixe."eleveur` (
`eleveur_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`eleveur_affixe` VARCHAR( 255 ) NOT NULL ,
`eleveur_affixe_pos` TINYINT( 10 ) NOT NULL,
`eleveur_nom` VARCHAR( 100 ) NOT NULL ,
`eleveur_prenom` VARCHAR( 100 ) NOT NULL ,
`eleveur_rue` VARCHAR( 255 ) NOT NULL ,
`eleveur_ville` VARCHAR( 100 ) NOT NULL ,
`eleveur_cp` VARCHAR( 10 ) NOT NULL ,
`eleveur_dep` VARCHAR( 100 ) NOT NULL ,
`eleveur_tel` VARCHAR( 20 ) NOT NULL ,
`eleveur_fax` VARCHAR( 20 ) NOT NULL ,
`eleveur_numero` VARCHAR( 100 ) NOT NULL ,
`eleveur_siret` VARCHAR( 100 ) NOT NULL ,
`eleveur_mail` VARCHAR( 100 ) NOT NULL 
);";
$req_creation_protect="
CREATE TABLE `".$conf_prefixe."protect` (
`protect_mail` VARCHAR( 100 ) NOT NULL ,
`protect_code` VARCHAR( 100 ) NOT NULL ,
`protect_type` TINYINT( 10 ) NOT NULL ,
`protect_date` DATE NOT NULL,
PRIMARY KEY ( `protect_mail` ) 
);";
$req_creation_eleveurs="
CREATE TABLE `".$conf_prefixe."eleveurs` (
`eleveurs_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`eleveurs_affixe` VARCHAR( 255 ) NOT NULL ,
`eleveurs_affixe_pos` TINYINT( 10 ) NOT NULL,
`eleveurs_nom` VARCHAR( 100 ) NOT NULL ,
`eleveurs_prenom` VARCHAR( 100 ) NOT NULL ,
`eleveurs_rue` VARCHAR( 255 ) NOT NULL ,
`eleveurs_ville` VARCHAR( 100 ) NOT NULL ,
`eleveurs_cp` VARCHAR( 10 ) NOT NULL ,
`eleveurs_dep` VARCHAR( 100 ) NOT NULL ,
`eleveurs_pays` VARCHAR( 100 ) NOT NULL ,
`eleveurs_tel` VARCHAR( 20 ) NOT NULL ,
`eleveurs_fax` VARCHAR( 20 ) NOT NULL ,
`eleveurs_mail` VARCHAR( 100 ) NOT NULL ,
`eleveurs_url` VARCHAR( 100 ) NOT NULL, 
`utilisateur_id` INT NOT NULL,
`date_crea` DATE NOT NULL,
`utilisateur_m_id` INT NOT NULL,
`date_modif` DATE NOT NULL
);";
$req_creation_proprio="
CREATE TABLE `".$conf_prefixe."proprio` (
`proprio_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`proprio_nom` VARCHAR( 100 ) NOT NULL ,
`proprio_prenom` VARCHAR( 100 ) NOT NULL ,
`proprio_rue` VARCHAR( 255 ) NOT NULL ,
`proprio_ville` VARCHAR( 100 ) NOT NULL ,
`proprio_cp` VARCHAR( 10 ) NOT NULL ,
`proprio_dep` VARCHAR( 100 ) NOT NULL ,
`proprio_pays` VARCHAR( 100 ) NOT NULL ,
`proprio_tel` VARCHAR( 20 ) NOT NULL ,
`proprio_mail` VARCHAR( 100 ) NOT NULL ,
`utilisateur_id` INT NOT NULL,
`date_crea` DATE NOT NULL,
`utilisateur_m_id` INT NOT NULL,
`date_modif` DATE NOT NULL
);";
$req_creation_race="
CREATE TABLE `".$conf_prefixe."race` (
`race_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`race_nom` VARCHAR( 255 ) NOT NULL
)";
$req_creation_titre=
"CREATE TABLE `".$conf_prefixe."titre` (
`titre_nom` VARCHAR( 50 ) NOT NULL ,
`titre_label` VARCHAR( 255 ) NOT NULL ,
PRIMARY KEY ( `titre_nom` ) 
);";
$req_creation_titre_chien="
CREATE TABLE `".$conf_prefixe."titre_chien` (
`titre_nom` VARCHAR( 50 ) NOT NULL ,
`chien_id` INT NOT NULL ,
PRIMARY KEY ( `titre_nom` , `chien_id` ) 
);";
$req_creation_chien="
CREATE TABLE `".$conf_prefixe."chien` (
`chien_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`chien_nom` VARCHAR( 255 ) NOT NULL ,
`chien_surnom` VARCHAR( 255 ) NOT NULL ,
`race_id` INT NOT NULL ,
`chien_variete` VARCHAR( 255 ) NOT NULL ,
`chien_robe` VARCHAR( 255 ) NOT NULL ,
`chien_sexe` INT( 10 ) NOT NULL ,
`chien_naissance` DATE NOT NULL ,
`chien_deces` DATE NOT NULL ,
`chien_taille` DECIMAL( 6, 2 ) NOT NULL ,
`chien_poid` DECIMAL( 6, 2 ) NOT NULL ,
`chien_tatouage` VARCHAR( 50 ) NOT NULL ,
`chien_puce` VARCHAR( 50 ) NOT NULL ,
`chien_num_lof` VARCHAR( 50 ) NOT NULL ,
`chien_date_confirm` DATE NOT NULL ,
`chien_autre` VARCHAR( 255 ) NOT NULL ,
`chien_adn` VARCHAR( 50 ) NOT NULL ,
`chien_dysplasie` INT( 10 ) NOT NULL ,
`chien_carractere` VARCHAR( 255 ) NOT NULL ,
`chien_oculaire` VARCHAR( 255 ) NOT NULL ,
`chien_autre_test` VARCHAR( 255 ) NOT NULL ,
`chien_image` VARCHAR( 50 ) NOT NULL ,
`chien_montrer` INT( 10 ) NOT NULL ,
`chien_vendre` INT( 10 ) NOT NULL ,
`chien_interne` INT( 10 ) NOT NULL ,
`chien_pere_id` INT NOT NULL ,
`chien_mere_id` INT NOT NULL ,
`eleveurs_id` INT NOT NULL ,
`proprio_id` INT NOT NULL,
`utilisateur_id` INT NOT NULL,
`date_crea` DATE NOT NULL,
`utilisateur_m_id` INT NOT NULL,
`date_modif` DATE NOT NULL ,
`chien_com` LONGTEXT NOT NULL,
`chien_prix` DECIMAL( 7, 2 ) NOT NULL
);";
$req_creation_sante="
CREATE TABLE `".$conf_prefixe."sante` (
`sante_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`chien_id` INT NOT NULL ,
`sante_date` DATE NOT NULL ,
`sante_type` TINYINT( 10 ) NOT NULL ,
`sante_detail` VARCHAR( 255 ) NOT NULL ,
`sante_veto` VARCHAR( 255 ) NOT NULL 
);";
$req_creation_expo="
CREATE TABLE `".$conf_prefixe."expo` (
`expo_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`chien_id` INT NOT NULL ,
`expo_date` DATE NOT NULL ,
`expo_lieu` VARCHAR( 255 ) NOT NULL,
`expo_juge` VARCHAR( 255 ) NOT NULL,
`expo_classe` VARCHAR( 255 ) NOT NULL,
`expo_qualif` VARCHAR( 255 ) NOT NULL ,
`expo_result` VARCHAR( 255 ) NOT NULL 
);";
$req_creation_chaleur="
CREATE TABLE `".$conf_prefixe."chaleur` (
`chaleur_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`chien_id` INT NOT NULL ,
`chaleur_date` DATE NOT NULL
);";
$req_creation_saillie="
CREATE TABLE `".$conf_prefixe."saillie` (
`saillie_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`chien_id` INT NOT NULL ,
`male_id` INT NOT NULL ,
`saillie_date` DATE NOT NULL,
`saillie_type` TINYINT( 10 ) NOT NULL,
`saillie_mab` DATE NOT NULL,
`saillie_fils` INT NOT NULL ,
`saillie_filles` INT NOT NULL ,
`saillie_passe` TINYINT( 10 ) NOT NULL
);";
$req_creation_meta="
CREATE TABLE `".$conf_prefixe."meta` (
`meta_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`meta_theme` VARCHAR( 255 ) NOT NULL,
`meta_titre` VARCHAR( 255 ) NOT NULL,
`meta_desc` LONGTEXT NOT NULL,
`meta_mcle` VARCHAR( 255 ) NOT NULL,
`meta_image` VARCHAR( 255 ) NOT NULL
);";
$req_creation_txt_accueil="
CREATE TABLE `".$conf_prefixe."txt_accueil` (
`accueil_langue` VARCHAR( 255 ) NOT NULL PRIMARY KEY ,
`accueil_texte` LONGTEXT NOT NULL
);";
$req_creation_paiement="
CREATE TABLE `".$conf_prefixe."paiement` (
`paiement_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`paiement_cb` TINYINT( 10 ) NOT NULL,
`paiement_cheque` TINYINT( 10 ) NOT NULL,
`paiement_virement` TINYINT( 10 ) NOT NULL,
`paiement_devise` VARCHAR( 50 ) NOT NULL ,
`paiement_type` VARCHAR( 50 ) NOT NULL ,
`paiement_prix` DECIMAL( 6, 2 ) NOT NULL ,
`paiement_mail` VARCHAR( 255 ) NOT NULL ,
`paiement_demande_cheque` LONGTEXT NOT NULL,
`paiement_iban` VARCHAR( 255 ) NOT NULL ,
`paiement_bic` VARCHAR( 255 ) NOT NULL ,
`paiement_condition` LONGTEXT NOT NULL,
`paiement_condition2` LONGTEXT NOT NULL
);";
$req_creation_resa="
CREATE TABLE `".$conf_prefixe."resa` (
`resa_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`chien_id` INT NOT NULL,
`resa_date` DATETIME NOT NULL,
`resa_civil` TINYINT( 10 ) NOT NULL,
`resa_nom` VARCHAR( 100 ) NOT NULL ,
`resa_prenom` VARCHAR( 100 ) NOT NULL ,
`resa_adresse1` VARCHAR( 255 ) NOT NULL ,
`resa_adresse2` VARCHAR( 255 ) NOT NULL ,
`resa_ville` VARCHAR( 100 ) NOT NULL ,
`resa_cp` VARCHAR( 10 ) NOT NULL ,
`resa_pays` VARCHAR( 100 ) NOT NULL ,
`resa_tel` VARCHAR( 20 ) NOT NULL ,
`resa_mail` VARCHAR( 100 ) NOT NULL ,
`resa_paiement` TINYINT( 10 ) NOT NULL,
`resa_etat` TINYINT( 10 ) NOT NULL
);";
$req_creation_livreor="
CREATE TABLE `".$conf_prefixe."livreor` (
`message_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`message_date` DATETIME NOT NULL,
`message_nom` VARCHAR( 100 ) NOT NULL ,
`message_mail` VARCHAR( 100 ) NOT NULL ,
`message_corp` LONGTEXT NOT NULL,
`message_etat` TINYINT( 10 ) NOT NULL
);";
$req_creation_album_photos="
CREATE TABLE `".$conf_prefixe."album_photos` (
`photo_id` VARCHAR( 20 ) NOT NULL PRIMARY KEY ,
`chien_id` INT NOT NULL
);";
$req_creation_article="
CREATE TABLE `".$conf_prefixe."article` (
`article_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`article_titre` VARCHAR( 255 ) NOT NULL ,
`article_texte` LONGTEXT NOT NULL,
`admin_id` INT NOT NULL,
`date_crea` DATE NOT NULL,
`admin_m_id` INT,
`date_modif` DATE
);";
$req_creation_menu="
CREATE TABLE `".$conf_prefixe."menu` (
`menu_id` INT(11) NOT NULL auto_increment,
`menu_titre` VARCHAR(250) NOT NULL default '',
`menu_titre_en` VARCHAR(250) NOT NULL default '',
`menu_chemin` VARCHAR(250) NOT NULL default '',
`page_texte` LONGTEXT NOT NULL,
`page_texte_en` LONGTEXT NOT NULL,
PRIMARY KEY  (`menu_id`)
);";

////////////////////////////////////////////////////////////////////////////////
///////////////////INSERT//////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
$req_insert_meta="
INSERT INTO `".$conf_prefixe."meta` ( `meta_id` , `meta_theme`, `meta_titre`, `meta_desc`, `meta_mcle` ) 
VALUES ('', 'paysage','','','');";
////////////////////////////////////////////////////////////////////////////////////
$req_insert_paiement="
INSERT INTO `".$conf_prefixe."paiement` ( `paiement_id` , `paiement_cb`, `paiement_cheque`, `paiement_virement`,
                             `paiement_devise`, `paiement_type`, `paiement_prix`, `paiement_mail`, `paiement_demande_cheque`,
                             `paiement_iban`, `paiement_bic`, `paiement_condition`, `paiement_condition2` ) 
VALUES ('', '0','0','0','EUR','Acompte','200.00', '', 
'Veuillez remplir votre ch&egrave;que &agrave; l&#039;ordre de :<br /> 
et l&#039;expedier &agrave; l&#039;adresse suivante :<br /><br />
D&egrave;s reception de votre r&eacute;glement accompagn&eacute; du bon de r&eacute;servation,
nous vous confirmerons la r&eacute;servation de votre chiot', '', '',
'1.
<br />D&egrave;s r&eacute;ception de votre r&egrave;glement nous vous confirmerons la r&eacute;servation de votre chiot.Pass&eacute; un d&eacute;lai de 72 heures (en cas de non r&eacute;ception du r&egrave;glement), le chiot sera remis &agrave; la vente.
<br />
<br />2.
<br />Un chiot ne peut &ecirc;tre r&eacute;serv&eacute; que par une seule et m&ecirc;me personne.
<br />
<br />3.
<br />Le ch&egrave;que d[avance] de [valeur] [devise] sert de garantie de r&eacute;servation ferme et d&eacute;finitive. Une fois les conditions accept&eacute;es par les deux parties, le ch&egrave;que de [valeur] [devise] d[avance] sera encaiss&eacute; dans les 48 heures,le solde du paiement du chiot devra &ecirc;tre vers&eacute; le jour de la livraison de celui-ci. Si pour une raison quelconque vous veniez &agrave; vous d&eacute;sister en ne prenant pas le chiot, le vendeur gardera la somme encaiss&eacute;e, et remettra sans d&eacute;lai le chiot de nouveau &agrave; vendre. Lacheteur ne pourra en aucun cas formuler de r&eacute;clamation pour demander la restitution des [avance] vers&eacute;s et encaiss&eacute;s. Lacheteur devra imp&eacute;rativement confirmer sa d&eacute;cision de ne pas prendre le chiot par lettre recommand&eacute;e dans le plus bref d&eacute;lai. Si aucune lettre n&#039;est parvenue dans les 72 heures suivant le d&eacute;sistement demand&eacute;e par t&eacute;l&eacute;phone,l&#039;acheteur ne pourra en aucun cas formuler de r&eacute;clamation pour quoi que ce soit.
<br />
<br />4.
<br />Pour les personnes r&eacute;sidant en dehors du territoire fran&ccedil;ais,pri&egrave;re de me contacter personnellement afin d&#039;&eacute;tudier au mieux les conditions de r&eacute;servation d&#039;un chiot
<br />se rapprochant le plus &agrave; vos possibilit&eacute;s.',
 '1.
<br />Les g&eacute;niteurs sont inscrits au Livre des Origines Fran&ccedil;aises (LOF) enregistr&eacute; aupr&egrave;s de la Soci&eacute;t&eacute; Centrale Canine &agrave; AUBERVILLIERS.
<br />
<br />2.
<br />Les parents sont confirm&eacute;s et en &acirc;ge de reproduction. Ils sont radiographi&eacute;s pour la dysplasie des hanches (reproduction autoris&eacute;e jusquau stade C).
<br />
<br />3.
<br />Les chiots sont primo-vaccin&eacute;s contre :
<br />- la maladie de carr&eacute;e
<br />- la parvovirose
<br />- lh&eacute;patite contagieuse
<br />- la toux de chenil
<br />
<br />4.
<br />Les chiots sont puc&eacute;s. Ils sont vermifug&eacute;s et d&eacute;parasit&eacute;s avant de quitter l&eacute;levage.
<br />
<br />5.
<br />Les chiots sont inscrits provisoirement au LOF ou obtiennent le p&eacute;digr&eacute;e d&eacute;finitif en cas de vente &agrave; l&eacute;tranger.
<br />
<br />6.
<br />Documents fournis lors de la vente du chiot :
<br />- Une attestation de convention de vente et de garantie.
<br />- Une facture.
<br />- Le volet A de la carte de tatouage.
<br />- Une notice d&eacute;levage d&eacute;taill&eacute;e pour la nourriture, la croissance et l&eacute;ducation du chiot.
<br />- Le certificat de naissance, ou le p&eacute;digr&eacute;e selon le cas, est envoy&eacute; dans les 4 mois suivant la date dachat du chiot si celui-ci est achet&eacute; avant l&acirc;ge de 4 mois. Pass&eacute; cet &acirc;ge, le certificat ou le p&eacute;digr&eacute;e sera remis au d&eacute;part du chiot.
<br />
<br />7. 
<br />Garanties :Lanimal est, &agrave; compter du jour de la livraison, garanti contre les seuls vices et d&eacute;fauts &eacute;num&eacute;r&eacute;s par larticle 285-1 du code rural et dans les d&eacute;lais prescrits par le d&eacute;cret 90-572 du 28 juin 1990.
<br />
<br />8.
<br />Le prix des chiots est ferme et d&eacute;finitif. Le montant peut &ecirc;tre r&eacute;gl&eacute; en 3 fois. Les trois ch&egrave;ques devront &ecirc;tre fait le jour de la livraison ; il y sera indiqu&eacute; sur chacun la date de recouvrement.
<br />
<br />9.
<br />Possibilit&eacute; de livrer le chiot &agrave; votre domicile &agrave; condition de r&eacute;sider en France. Les frais de transport aller et retour seront &agrave; votre charge.');";
//////////////////////////////////////////////////////////////////////////////////
$req_insert_titre="
INSERT INTO `".$conf_prefixe."titre` ( `titre_nom` , `titre_label` ) 
VALUES ('ACCCCH', 'American Chinese Crested Club'),
('AMCH', 'American Champion'),
('ATCH', 'Austrian Champion'),
('ATJCH', 'Austrian Junior Champion'),
('ATVCH', 'Austrian Veteran Champion'),
('AUSTCH', 'Australian Champion '),
('AUSTGRANDCH', 'Autralian Grand'),
('BAHCH', 'Bahama Champion'),
('BALTCH', 'Baltic Champion'),
('BDACH', 'Bermuda Champion'),
('BECH', 'Belgian Champion'),
('BI-PERUCH', 'Bi-Peruvian'),
('BIHCH', 'Bosna and Hercegovina Champion'),
('BLRCH', 'Belorussian Champion'),
('BRACH', 'Brazilian Champion'),
('CANCH', 'Canadian Champion'),
('CHCH', 'Swiss Champion'),
('CROCH', 'Croatian  Champion'),
('CROJCH', 'Croatian Junior Champion'),
('CSCH', 'Serbia Montenegro Champion'),
('CZCCH', 'Czech Chinese Crested Club champion'),
('CZCH', 'Czech Champion'),
('CZJCH', 'Czech Junior Champion'),
('CZVCH', 'Czech Veteran Champion'),
('DCH(Club)', 'German Club Champion'),
('DECH', 'German Champion'),
('DKCH', 'Dansk Champion'),
('DKKLCH', 'Danish Club Champion'),
('ESCH', 'Spanish Champion'),
('ESTCH', 'Estonian Champion'),
('ESTJCH', 'Estonian Junior Champion'),
('EURCH', 'European Champion'),
('FINCH', 'Finnish Champion'),
('FRCH', 'French Champion'),
('GBCH', 'British Champion'),
('GEOCH', 'Georgian Champion'),
('GIBCH', 'Gibraltar Champion'),
('GRCH', 'Greek Champion'),
('HCH', 'Hungarian Champion'),
('HGRCH', 'Hungarian Grand Champion'),
('HJCH', 'Hungarian Junior Champion'),
('HNCH', 'Honduran Champion'),
('HSHCH', 'Hungarian Show Champion'),
('HVCH', 'Hungarian Veteran Champion'),
('INTCH', 'International Champion'),
('IRCH', 'Irish Champion'),
('ITACH', 'Italian Champion'),
('IncaCH', 'Inca Champion'),
('JPCH', 'Japanese Champion'),
('LATAMCH', 'Latin american Champion'),
('LTCH', 'Lithuanian Champion'),
('LTJCH', 'Lithuanian Junior Champion'),
('LUXCH', 'Luxembourg Champion'),
('LUXJCH', 'Luxembourg Junior Champion'),
('LVCH', 'Latvian Champion'),
('LVJCH', 'Latvian Junior Champion'),
('MACH', 'Moroccan champion'),
('MCCH', 'Monaco Champion'),
('MEXCH', 'Mexican Champion'),
('MOLCH', 'Moldavian Champion'),
('MOLJCH', 'Moldavian Junior Champion'),
('NJK', 'Dutch Junior Champion'),
('NLCH', 'Nederlandsk Champion'),
('NORDCH', 'Nordic Champion'),
('NUCH', 'Norwegian Show Champion'),
('NZCH', 'New Zealand Champion'),
('PERUCH', 'Peruvian Champion'),
('PLCH', 'Polish Champion'),
('PLJCH', 'Polish Junior Champion'),
('PORCH', 'Portugisisk Champion'),
('PRCH', 'Puerto Rican Champion'),
('RKFCH', 'Russian Kennel Federaston Champion'),
('ROGCH', 'Rumanian Grand Champion'),
('ROMCH', 'Rumanian Champion'),
('RUSCH', 'Russian Champion'),
('RUSJCH', 'Russian Junior Champion'),
('SACH', 'South-African Champion'),
('SKCCH', 'States Kennel Club Champion'),
('SKCH', 'Slovak Champion'),
('SKGCH', 'Slovak Grand Champion'),
('SKJCH', 'Slovak Junior Champion'),
('SKVCH', 'Slovak Veteran Champion'),
('SLOCH', 'Slovenian Champion'),
('SLOJCH', 'Slovenian Junior Champion'),
('SMCH', 'San Marino Champion'),
('SOAMCH', 'South American Champion'),
('SUCH', 'Swedish Show Champion'),
('SVCH', 'Svensk viltspr champion'),
('UKCCH', 'United Kennel Club Champion'),
('UKRCH', 'Ukrainian Champion'),
('VDHCH', 'German Champion'),
('YUCH', 'Jugoslavian Champion');";
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
//requtes grant la suppression des tables
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
$req_suppression_admin="DROP TABLE IF EXISTS ".$conf_prefixe."admin ;";
$req_suppression_eleveur="DROP TABLE IF EXISTS ".$conf_prefixe."eleveur ;";
$req_suppression_protect="DROP TABLE IF EXISTS ".$conf_prefixe."protect ;";
$req_suppression_eleveurs="DROP TABLE IF EXISTS ".$conf_prefixe."eleveurs ;";
$req_suppression_proprio="DROP TABLE IF EXISTS ".$conf_prefixe."proprio ;";
$req_suppression_race="DROP TABLE IF EXISTS ".$conf_prefixe."race ;";
$req_suppression_titre="DROP TABLE IF EXISTS ".$conf_prefixe."titre ;";
$req_suppression_titre_chien="DROP TABLE IF EXISTS ".$conf_prefixe."titre_chien ;";
$req_suppression_chien="DROP TABLE IF EXISTS ".$conf_prefixe."chien ;";
$req_suppression_sante="DROP TABLE IF EXISTS ".$conf_prefixe."sante ;";
$req_suppression_expo="DROP TABLE IF EXISTS ".$conf_prefixe."expo ;";
$req_suppression_chaleur="DROP TABLE IF EXISTS ".$conf_prefixe."chaleur ;";
$req_suppression_saillie="DROP TABLE IF EXISTS ".$conf_prefixe."saillie ;";
$req_suppression_meta="DROP TABLE IF EXISTS ".$conf_prefixe."meta ;";
$req_suppression_txt_accueil="DROP TABLE IF EXISTS ".$conf_prefixe."txt_accueil ;";
$req_suppression_paiement="DROP TABLE IF EXISTS ".$conf_prefixe."paiement ;";
$req_suppression_resa="DROP TABLE IF EXISTS ".$conf_prefixe."resa ;";
$req_suppression_livreor="DROP TABLE IF EXISTS ".$conf_prefixe."livreor ;";
$req_suppression_album_photos="DROP TABLE IF EXISTS ".$conf_prefixe."album_photos ;";
$req_suppression_article="DROP TABLE IF EXISTS ".$conf_prefixe."article ;";
$req_suppression_menu="DROP TABLE IF EXISTS ".$conf_prefixe."menu ;";
?>
