<?php
session_start();//on dbute la session
$lalangue="french.php";
include("../langues/".$lalangue."");
//besoin de fonction
include("../fonctions.php");
?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<title><?php echo $l_titre_page_install3 ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<meta name="Content-Language" content="en-fr">
  <meta name="Identifier-URL" content="http://www.caningest.com">
  <meta http-equiv="Pragma" content="no-cache">
	<link rel="stylesheet" href="../presentation/css.css" type="text/css" />
	</head>
	<body>
<?php
//en tete
include('../presentation/en_tete.php');
echo "<div id='conteneur'>";
//si la session est valide
if(isset($_SESSION['mail_utilisateur']))
{
  //on vrifie que configuration.php n'existe pas
  if (file_exists( '../configuration.php' )) 
  {
    echo "<br />";
    echo "<div class='avertissement'>".$l_signal_config_no_existe."</div>";
    echo "<br />";
    echo "<br />";
    //accueil
    echo "<div class='valid'><a href='./desinstall.php' alt'".$l_lien_desinstal_log."' title='".$l_lien_desinstal_log."' >".$l_lien_desinstal_log."</a></div>";
    echo "<br />";
    echo "<br />";
  }
  else
  {
    //le formulaire creation  du tre post
    if(isset($_POST['creation']))
    {
      //traitement formulaire
      extract($_POST);
      //initialisation
      $erreurs="";
      $host=fct_netoyage($host);
      $user=fct_netoyage($user);
      $mdp=fct_netoyage($mdp);
      $base=fct_netoyage($base);
      //verification donne
      if($host=="")
      {
        $erreurs.=$l_erreur_insert_host."<br />";
      }
      if($user=="")
      {
        $erreurs.=$l_erreur_insert_user."<br />";
      }
      if($base=="")
      {
        $erreurs.=$l_erreur_insert_base."<br />";
      }
      if($erreurs!="")
      {
        //avertissement
        echo "<br />";
        echo "<div class='avertissement'>".$erreurs."</div>";
        echo "<br />";
        echo "<div class='valid'><a href='./install2.php' alt".$l_lien_retour." title=".$l_lien_retour." >".$l_lien_retour."</a></div>";
        echo "<br />";
      }
      else
      {
        //cration du fichier
        $monfichier="../configuration.php";
        //on crer et ouvre le fichier en criture
        if(is_writable('../'))
        {
          //on peut creer le fichier
          $fp = fopen ($monfichier, 'w+');
          //on stoque ce qu'on veut insrer dans le fichier (la configuration)
          $laconfig="<?php"."\n";
          $laconfig.="$"."conf_host='".$host."'".";"."\n";
          $laconfig.="$"."conf_user='".$user."'".";"."\n";
          $laconfig.="$"."conf_mdp='".$mdp."'".";"."\n";
          $laconfig.="$"."conf_base='".$base."'".";"."\n";
          $laconfig.="$"."conf_langue='".$lalangue."'".";"."\n";
          $laconfig.="$"."conf_prefixe='".$l_prefixe_table."'".";"."\n";
          $laconfig.="?>";
          //on insre
          fputs ($fp, $laconfig);
          //on ferme le fichier
          fclose($fp);
          //on inclus le fichier configuration
          include('../configuration.php');
          //on inclus les fonctions base de donnes
          include('../fonctions_bdd.php');
          $result=fct_test_base($conf_host,$conf_user,$conf_mdp,$conf_base);
          if($result==1)
          {
            //on supprime le fichier configuration
            unlink("../configuration.php");
            echo "<br />";
            echo "<div class='avertissement'>".$l_erreur_test_connect."</div>";
            echo "<br />";
            echo "<div class='valid'><a href='./install2.php' alt=".$l_lien_retour." title=".$l_lien_retour." >".$l_lien_retour."</a></div>";
            echo "<br />";
          }
          else if($result==2)
          {
            //on supprime le fichier configuration
            unlink("../configuration.php");
            echo "<br />";
            echo "<div class='avertissement'>".$l_erreur_crea_base."</div>";
            echo "<br />";
            echo "<div class='valid'><a href='./install2.php' alt=".$l_lien_retour." title=".$l_lien_retour." >".$l_lien_retour."</a></div>";
            echo "<br />";
          }
          else
          {
            //on creer la connection  la base
            include('../connect_bdd.php');
            include('creation_tables.php');
            //on verifie si des tables ne sont pas dja existantes
            $existe=fct_exist_table($lestables, $conf_base);
            
            //on parcour le tableau des tables dja existantes
            $erreur="";
            $nb=count($existe);
            for($i=1;$i<$nb;$i++)
            {
              $erreur.=$existe[$i]."<br />";
            }
            if($erreur!="")
            {
              //on indique l'erreur
              echo "<br />";
              echo "<div class='avertissement'>".$l_erreur_table_existe;
              echo "<br /><br />";
              echo $erreur;
              echo "</div><br />";
              echo "<br />";
              echo "<div class='valid'><a href='./desinstall.php' alt='".$l_lien_desinstal_log."' title='".$l_lien_desinstal_log."' >".$l_lien_desinstal_log."</a></div>";
              echo "<br />";
            }
            else
            {
              //on peut creer les table
              mysql_query($req_creation_admin) or die ($l_erreur_crea_table.$lestables[0]."<br />");
              mysql_query($req_creation_eleveur) or die ($l_erreur_crea_table.$lestables[1]."<br />");
              mysql_query($req_creation_protect) or die ($l_erreur_crea_table.$lestables[2]."<br />");
              mysql_query($req_creation_eleveurs) or die ($l_erreur_crea_table.$lestables[3]."<br />");
              mysql_query($req_creation_proprio) or die ($l_erreur_crea_table.$lestables[4]."<br />");
              mysql_query($req_creation_race) or die ($l_erreur_crea_table.$lestables[5]."<br />");
              mysql_query($req_creation_titre) or die ($l_erreur_crea_table.$lestables[6]."<br />");
              mysql_query($req_creation_titre_chien) or die ($l_erreur_crea_table.$lestables[7]."<br />");
              mysql_query($req_creation_chien) or die ($l_erreur_crea_table.$lestables[8]."<br />");
              mysql_query($req_creation_sante) or die ($l_erreur_crea_table.$lestables[9]."<br />");
              mysql_query($req_creation_expo) or die ($l_erreur_crea_table.$lestables[10]."<br />");    
              mysql_query($req_creation_chaleur) or die ($l_erreur_crea_table.$lestables[11]."<br />");
              mysql_query($req_creation_saillie) or die ($l_erreur_crea_table.$lestables[12]."<br />");
              mysql_query($req_creation_meta) or die ($l_erreur_crea_table.$lestables[13]."<br />");
              mysql_query($req_creation_txt_accueil) or die ($l_erreur_crea_table.$lestables[14]."<br />");
              mysql_query($req_creation_paiement) or die ($l_erreur_crea_table.$lestables[15]."<br />");
              mysql_query($req_creation_resa) or die ($l_erreur_crea_table.$lestables[16]."<br />");
              mysql_query($req_creation_livreor) or die ($l_erreur_crea_table.$lestables[17]."<br />");
              mysql_query($req_creation_album_photos) or die ($l_erreur_crea_table.$lestables[18]."<br />");
              mysql_query($req_creation_article) or die ($l_erreur_crea_table.$lestables[19]."<br />");
              mysql_query($req_creation_menu) or die ($l_erreur_crea_table.$lestables[20]."<br />");
              //insertion
              mysql_query($req_insert_titre) or die(mysql_error());
              mysql_query($req_insert_meta) or die(mysql_error());
              mysql_query($req_insert_paiement) or die(mysql_error());
              
              mysql_close();
              //menu gauche indiquant l'tat de l'installation
              include('../presentation/menu_install3.php');
              echo "<br />";
              echo "<div id='contenu'>";
              echo "<div class='avertissement'>".$l_creation_base_ok."</div>";
              echo "<h1>".$l_titre_install3."</h1>";
              echo $l_acceuil_finalisation;
              echo "<br />";
              include('motdepasse.php');
              echo "</div>";
            }
          }
        }
        else
        {
            echo "<br />";
            echo "<div class='avertissement'>".$l_erreur_permission_rep;
            $fichier="../";
            $dec_perms = fileperms($fichier);     // donne 33206 
            $octal_perms = sprintf("%o", $dec_perms);   // donne 10066
            $unix_perms = (substr($octal_perms, 2));    // retourne la chane  partir du quatrime caractre
            echo "<br />";
            echo $l_chmod_actuel." ".$unix_perms."</div>";
            echo "<br />";
            echo "<div class='valid'><a href='./install2.php' alt=".$l_lien_rependre." title=".$l_lien_rependre." >".$l_lien_rependre."</a></div>";
            echo "<br />";
        }
      }
    }
    else
    {
      //mauvais accs
      echo "<br />";
      echo "<div class='avertissement'>".$l_signal_acces_form."</div>";
      echo "<br />";
      echo "<br />";
        //on propose de retourner a l'acceuil
      echo "<div class='valid'><a href='../index.php' alt=".$l_lien_retour." title=".$l_lien_retour." >".$l_lien_retour."</a></div>";
      echo "<br />";
    }
  }
}
else
{
  //erreur session inexistante accs refus
  echo "<br />";
  echo "<div class='avertissement'>".$l_signal_acces."</div>";
  echo "<br />";
  echo "<br />";
  //on propose de retourner a l'authentification
  echo "<div class='valid'><a href='./install1.php' alt=".$l_lien_authentification." title=".$l_lien_authentification." >".$l_lien_authentification."</a></div>";
  echo "<br />";
}
//conteneur
echo "</div>";
include('../presentation/bas_ml.php');
?>
</body>
</html>
